<?php
require_once "./check_session.php";

if (isset($_GET['booking_id'])) {
  $booking_id = $_GET['booking_id'];
}
?>
<!DOCTYPE html>
<html lang="en" dir="ltr" data-bs-theme="light" data-color-theme="Blue_Theme" data-layout="horizontal">

<head>
  <!-- Required meta tags -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Favicon icon-->
  <link rel="shortcut icon" type="image/png" href="<?php echo $main_path; ?>images/logo_new.png">

  <!-- Core Css -->
  <link rel="stylesheet" href="<?php echo $main_path; ?>css/styles.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.css" integrity="sha512-3pIirOrwegjM6erE5gPSwkUzO+3cTjpnV9lexlNZqvupR64iZBnOOTiiLPb9M36zpMScbmUNIcHUqKD47M719g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <link rel="stylesheet" href="https://cdn.datatables.net/2.1.7/css/dataTables.bootstrap5.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/responsive/3.0.3/css/responsive.bootstrap5.css">
  <title>VMan - Driver Details</title>
  <style>
    .infos {
      color: #026202;
      font-weight: 700;
    }

    .download_btn {
      cursor: pointer;
    }
  </style>

</head>

<body>

  <!-- Preloader -->
  <div class="preloader">
    <img src="<?php echo $main_path; ?>images/preloader.svg" alt="loader" class="lds-ripple img-fluid">
  </div>
  <div id="main-wrapper">
    <!-- Sidebar Start -->
    <?php include('side_navbar.php'); ?>
    <!--  Sidebar End -->
    <div class="page-wrapper">
      <!--  Header Start -->
      <?php include('top_header.php'); ?>
      <!--  Header End -->

      <?php include('navbar.php'); ?>

      <div class="modal fade" id="complaint_modal" tabindex="-1" aria-labelledby="scroll-long-inner-modal" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
          <div class="modal-content">
            <div class="modal-body">
              <div class="row">
                <div class="col-12 mb-3 mt-4">
                  <b>Raise a Complaint on the Booking</b>
                </div>
                <div class="col-12">
                  <textarea class="form-control" rows="6" id="complaint_info" placeholder="Complaint Details"></textarea>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="col-12 d-flex justify-content-end">
                <button class="btn bg-light text-primary waves-effect" data-bs-dismiss="modal">
                  Cancel
                </button>
                <button class="btn bg-danger-subtle text-danger waves-effect" id="update_complaint">
                  Submit Complaint
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>

      
      <div class="modal fade" id="blacklist_driver_modal" tabindex="-1" aria-labelledby="scroll-long-inner-modal" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
          <div class="modal-content">
            <div class="modal-body">
              <div class="row">
                <div class="col-12 mb-3 mt-4">
                  <b>Are you sure, you want to blacklist the Driver?</b>
                </div>
                <div class="col-12">
                    <textarea class="form-control" rows="6" id="blacklist_reason" placeholder="Reason for blacklist"></textarea>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="col-12 d-flex justify-content-end">
                <button class="btn bg-light text-primary waves-effect" data-bs-dismiss="modal">
                  Cancel
                </button>
                <button class="btn bg-danger-subtle text-danger waves-effect" id="blacklist_driver_btn">
                  Blacklist Driver
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="modal fade" id="blacklist_customer_modal" tabindex="-1" aria-labelledby="scroll-long-inner-modal" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
          <div class="modal-content">
            <div class="modal-body">
              <div class="row">
                <div class="col-12 mb-3 mt-4">
                  <b>Are you sure, you want to blacklist the Customer?</b>
                </div>
                <div class="col-12">
                    <textarea class="form-control" rows="6" id="blacklist_customer_reason" placeholder="Reason for blacklist"></textarea>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="col-12 d-flex justify-content-end">
                <button class="btn bg-light text-primary waves-effect" data-bs-dismiss="modal">
                  Cancel
                </button>
                <button class="btn bg-danger-subtle text-danger waves-effect" id="blacklist_customer_btn">
                  Blacklist Customer
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="modal fade" id="cancellation_modal" tabindex="-1" aria-labelledby="exampleModalLabel1">
        <div class="modal-dialog modal-xl" role="document">
          <div class="modal-content">
            <div class="modal-header d-flex align-items-center">
              <h4 class="modal-title" id="exampleModalLabel1">
                Cancellation Form
              </h4>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <div class="col-12 d-flex align-items-end gap-2 sms_content_area">
                <textarea class="form-control" placeholder="Reason for Cancellation" rows="6" id="cancellation_reason"></textarea>
              </div>
              <div class="col-12 mt-4 mb-3 d-flex justify-content-end">
                <button class="btn btn-danger" id="booking_delete">Cancel Booking</button>
              </div>
            </div>
          </div>
        </div>
      </div>


      <div class="body-wrapper">
        <div class="container-fluid">
          <div class="page-titles mb-5">
            <div class="row">
              <div class="col-12">
                <div class="d-flex justify-content-between">
                  <div>
                    <h2 class="mb-0 fw-bolder fs-8">Booking Information</h2>
                    <badge>Booking Status: <span id="db_booking_status" style="font-weight:800;">Checking...</span></badge>
                  </div>
                  <div class="d-flex justify-content-end mt-4 d-none gap-3" id="active_btn_area">
                    <div class="d-flex gap-2">
                      <button data-bs-toggle="modal" data-bs-target="#complaint_modal" class="raise_complaint btn btn-warning d-flex align-items-center gap-2"><i class="ti ti-pencil"></i>Raise Complaint</button>
                      <button id="bk_cancel" class="btn btn-danger d-flex align-items-center gap-2" data-bs-toggle="modal" data-bs-target="#cancellation_modal"><i class="ti ti-x"></i>Cancel Booking</button>
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>

          <!-- Row -->
          <div class="row">
            <div class="col-12">
              <div class="card-body">
                <div>
                  <!-- Nav tabs -->
                  <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item" role="presentation">
                      <a class="nav-link active" data-bs-toggle="tab" href="#tab_basic_information" role="tab" aria-selected="false">
                        <span>Booking Information</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_listed_driver" role="tab" aria-selected="true" tabindex="-1">
                        <span>Drivers</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_sms" role="tab" aria-selected="false" tabindex="-1">
                        <span>SMS Content</span>
                      </a>
                    </li>
                  </ul>
                  <!-- Tab panes -->
                  <div class="tab-content">
                    <div class="tab-pane active show p-3" id="tab_basic_information" role="tabpanel">
                      <div class="row">

                        <div class="col-6 mt-5">
                          <div class="row">
                            <div class="col-12 mb-4">
                              <b>General Information</b>
                            </div>
                            <div class="col-5 mb-2">
                              Booking No
                            </div>
                            <div class="col-7 mb-2 infos" id="db_booking_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Report Date & Time
                            </div>
                            <div class="col-7 mb-2 infos" id="db_report_date">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Customer Name
                            </div>
                            <div class="col-7 mb-2 infos" id="db_customer_name">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Booked For
                            </div>
                            <div class="col-7 mb-2 infos" id="db_booked_for">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Contact No
                            </div>
                            <div class="col-7 mb-2 infos" id="db_contact_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Pickup Address
                            </div>
                            <div class="col-7 mb-2 infos" id="db_pickup_address">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Destination Address
                            </div>
                            <div class="col-7 mb-2 infos" id="db_destination_address">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Area
                            </div>
                            <div class="col-7 mb-2 infos" id="db_area">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Vehicle Model
                            </div>
                            <div class="col-7 mb-2 infos" id="db_vehicle_model">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Vehicle Gear Type
                            </div>
                            <div class="col-7 mb-2 infos" id="db_vehicle_gear_type">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Vehicle Type
                            </div>
                            <div class="col-7 mb-2 infos" id="db_vehicle_type">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              No of Drivers
                            </div>
                            <div class="col-7 mb-2 infos" id="db_no_of_driver">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Special Request
                            </div>
                            <div class="col-7 mb-2 infos" id="db_special_request">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Additional request
                            </div>
                            <div class="col-7 mb-2 infos" id="db_additional_request">
                              -
                            </div>
                          </div>
                        </div>
                        <div class="col-6 mt-5">
                          <div class="row">
                            <div class="col-12 mb-4">
                              <b>Other Information</b>
                            </div>
                            <div class="col-5 mb-2">
                              Re-Confirmation
                            </div>
                            <div class="col-7 mb-2 infos" id="db_reconfirm">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              With Car
                            </div>
                            <div class="col-7 mb-2 infos" id="db_with_car">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Complaint
                            </div>
                            <div class="col-7 mb-2 infos" id="db_complaint">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Feedback Rating
                            </div>
                            <div class="col-7 mb-2 infos" id="db_feedback_rating">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Feedback Remarks
                            </div>
                            <div class="col-7 mb-2 infos" id="db_feedback_remarks">
                              -
                            </div>
                          </div>
                        </div>
                      </div>

                    </div>
                    <div class="tab-pane" id="tab_listed_driver" role="tabpanel">
                      <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table">
                            <thead class="text-dark fs-4">
                              <tr>
                                <th>
                                  <h6 class="fs-6 fw-semibold mb-0 text-center"></h6>
                                </th>
                                <th>
                                  <h6 class="fs-6 fw-semibold mb-0 text-center">S.No</h6>
                                </th>
                                <th>
                                  <h6 class="fs-6 fw-semibold mb-0 text-center">Driver Name</h6>
                                </th>
                                <th>
                                  <h6 class="fs-6 fw-semibold mb-0 text-center">Whatsapp Number</h6>
                                </th>
                                <th>
                                  <h6 class="fs-6 fw-semibold mb-0 text-center">Alternative Number</h6>
                                </th>
                                <th>
                                  <h6 class="fs-6 fw-semibold mb-0 text-center">Area</h6>
                                </th>
                                <th>
                                  <h6 class="fs-6 fw-semibold mb-0 text-center">Action</h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody id="listed_driver_body">
                            </tbody>
                          </table>
                        </div>
                      </div>
                      <div class="col-12">
                        <button class="btn btn-success" id="preferred_driver_btn">Preferred Drivers</button>
                      </div>
                    </div>
                    <div class="tab-pane p-3" id="tab_sms" role="tabpanel">
                      <div class="col-12 d-flex align-items-end gap-2 sms_content_area">
                        <div style="width:90%;">
                          <label>Booking Confirmation Message</label>
                          <input class="form-control" id="booking_confirmation_input" readonly>
                        </div>
                        <div>
                          <button class="btn btn-warning copy-msg"><i class="ti ti-copy"></i></button>
                          <button class="btn btn-success send-msg"><i class="ti ti-brand-whatsapp"></i></button>
                        </div>
                      </div>
                      <div class="col-12 mt-3 d-flex align-items-end gap-2 sms_content_area">
                        <div style="width:90%;">
                          <label>Message to Driver</label>
                          <input class="form-control" id="msg_to_driver_input" readonly>
                        </div>
                        <div>
                          <button class="btn btn-warning copy-msg"><i class="ti ti-copy"></i></button>
                          <button class="btn btn-success send-msg"><i class="ti ti-brand-whatsapp"></i></button>
                        </div>
                      </div>
                      <div class="col-12 mt-3 d-flex align-items-end gap-2 sms_content_area">
                        <div style="width:90%;">
                          <label>Message to Customer</label>
                          <input class="form-control" id="msg_to_customer_input" readonly>
                        </div>
                        <div>
                          <button class="btn btn-warning copy-msg"><i class="ti ti-copy"></i></button>
                          <button class="btn btn-success send-msg"><i class="ti ti-brand-whatsapp"></i></button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>

        </div>
        <!----Footer--->
        <!-- -------------------------------------------------------------- -->
        <!-- footer -->
        <!-- -------------------------------------------------------------- -->
        <footer class="footer py-3 bg-white border-top text-center">
          2024© All Rights Reserved by Cryptographic Solutions
        </footer>
        <!-- -------------------------------------------------------------- -->
        <!-- End footer -->
        <!-- -------------------------------------------------------------- -->
        <!----Footer End--->
      </div>
      <script>
        function handleColorTheme(e) {
          document.documentElement.setAttribute("data-color-theme", e);
        }
      </script>

    </div>
    <div class="dark-transparent sidebartoggler"></div>
    <script src="<?php echo $main_path; ?>js/vendor.min.js"></script>
    <!-- Import Js Files -->
    <script src="<?php echo $main_path; ?>js/bootstrap.bundle.min.js"></script>
    <script src="<?php echo $main_path; ?>js/simplebar.min.js"></script>
    <script src="<?php echo $main_path; ?>js/app.horizontal.init.js"></script>
    <script src="<?php echo $main_path; ?>js/theme.js"></script>
    <script src="<?php echo $main_path; ?>js/app.min.js"></script>
    <script src="<?php echo $main_path; ?>js/sidebarmenu.js"></script>
    <script src="<?php echo $admin_path; ?>pagination.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <!-- solar icons -->
    <script src="<?php echo $main_path; ?>js/iconify-icon.min.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.bootstrap5.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/dataTables.responsive.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/responsive.bootstrap5.js"></script>
    <script>
      $(document).ready(function() {

        function fetchData() {
          $.ajax({
            url: "<?php echo $main_path; ?>api/booking/get_full_booking_data.php",
            type: "POST",
            data: {
              booking_id: booking_id
            },
            success: function(response) {
              console.log(response);
              var result = JSON.parse(response);

              // $('#listed_car_body').html(``);
              $('#listed_driver_body').html(``);

              if (result.status === 'Success') {
                var data = result.booking_data;

                if (data.reconfirmation == 'false') {
                  reconfirmation = 'No';
                } else {
                  reconfirmation = data.reconfirm_date_format;
                }

                if (data.with_car == 'true') {
                  with_car = 'Yes';
                } else {
                  with_car = 'No';
                }

                const reportingDate = new Date(data.reporting_date);
                const currentDate = new Date();

                $('.raise_complaint').addClass('d-none');
                $('#blk_customer').addClass('d-none');
                $('#blk_driver').addClass('d-none');

                if (reportingDate < currentDate) {
                  if (data.complaint_remark == '') {
                    $('.raise_complaint').removeClass('d-none');
                  }
                  $('#bk_cancel').addClass('d-none');
                  $('#blk_customer').removeClass('d-none');
                  $('#blk_driver').removeClass('d-none');
                }

                $('#db_reconfirm').html(reconfirmation);
                $('#db_with_car').html(with_car);
                $('#db_complaint').html(data.complaint_remark);
                $('#db_feedback_rating').html(data.star_count);
                $('#db_feedback_remarks').html(data.feedback_remarks);

                $('#db_booking_no').html(data.booking_no);
                $('#db_report_date').html(data.reporting_date_format);
                $('#db_customer_name').html(`<a href="<?php echo $admin_path; ?>Customer-Details/${data.customer_id}" target="_BLANK">${data.customer_name}</a>`);
                $('#db_booked_for').html(data.booked_for);
                $('#db_contact_no').html(data.customer_phone);
                $('#db_pickup_address').html(data.from_address);
                $('#db_destination_address').html(data.destination_address);
                $('#db_area').html(data.pickup_area);
                $('#db_vehicle_model').html(data.vehicle_model);
                $('#db_vehicle_gear_type').html(data.vehicle_gear_type);
                $('#db_vehicle_type').html(data.vehicle_type);
                $('#db_no_of_driver').html(data.alloted_drivers + '/' + data.no_of_drivers);
                $('#db_special_request').html(data.customer_request);
                $('#db_additional_request').html(data.remarks);

                $('#booking_confirmation_input').val(result.booking_msg);
                $('#db_booking_status').html(data.booking_status);

                msg_flag = 0;
                if (data.booking_status == 'Confirmed') {
                  $('#db_booking_status').css('color', 'green');
                  $('#active_btn_area').removeClass('d-none');
                  msg_flag = 1;
                } else if (data.booking_status == 'Cancelled') {
                  $('#db_booking_status').css('color', 'red');
                  $('#active_btn_area').addClass('d-none');
                  $('#booking_confirmation_input').val('');
                  $('#db_booking_status').append(' ('+data.cancellation_reason+')');
                } else {
                  $('#active_btn_area').removeClass('d-none');
                  msg_flag = 1;
                }

                if (msg_flag == 1) {
                  $('#msg_to_driver_input').val(result.driver_msg);
                  $('#msg_to_customer_input').val(result.customer_msg);
                }


                result['driver_data'].map(function(value, index) {
                  $('#listed_driver_body').append(`<tr data-driver-id="${value.driver_id}">
                                                          <td class="text-center">
                                                            <input type="checkbox" class="form-check-input driver_check_box">
                                                          </td>
                                                          <td class="text-center">${index+1}</td>
                                                          <td class="text-center"><a href="<?php echo $admin_path; ?>Driver-Details/${value.driver_id}" target="_BLANK">${value.driver_name}</a></td>
                                                          <td class="text-center">${value.wa_no}</td>
                                                          <td class="text-center">${value.alt_no}</td>
                                                          <td class="text-center">${value.area}</td>
                                                          <td class="text-center">
                                                            <button class="btn btn-info get_driver_id" data-bs-toggle="modal" data-bs-target="#blacklist_driver_modal">Blacklist Driver</button>
                                                            <button class="btn btn-secondary get_driver_id" data-bs-toggle="modal" data-bs-target="#blacklist_customer_modal">Blacklist Customer</button>
                                                          </td>
                                                         </tr>`);
                })

                if (result['driver_data'].length == 0) {
                  $('#listed_driver_body').append(`<tr><td class="text-center" colspan="6"><i>Driver not Assigned</i></td></tr>`);
                }
              } else if (result.status === 'No Driver') {
                toastr.error("Driver not Found");
              } else {
                toastr.error("Failed to fetch data");
              }
            },
            error: function(error) {
              console.error("Error fetching driver data:", error);
            }
          });
        }

        $('.copy-msg').click(function() {
          var msg = $(this).closest('.sms_content_area').find('input').val();
          navigator.clipboard.writeText(msg);

          toastr.success('Text Copied');

        })

        $('#listed_driver_body').on('click','.get_driver_id', function()
        {
          window.driver_id = $(this).closest('tr').data('driver-id');
        })


        // Function to get note ID from URL
        function getIdFromUrl() {
          path = window['location']['pathname'].split("/");

          if (path.length != <?php echo $path_length; ?> || path['<?php echo $path_length - 2; ?>'] != 'Booking-Details') {
            toastr.error('Invalid URL');
          } else if (isNaN(path['<?php echo $path_length - 1; ?>'])) {
            toastr.error('Booking ID is missing from the URL');
          } else {
            window.booking_id = path['<?php echo $path_length - 1; ?>'];
            fetchData();
          }
        }

        getIdFromUrl();

        $('body').on('click', '#booking_delete', function() 
        {
          var reason = $('#cancellation_reason').val();

          var fd = new FormData();
          fd.append('booking_id', booking_id);
          fd.append('reason', reason);

          $.ajax({
            url: '<?php echo $main_path; ?>api/booking/booking_cancel.php',
            type: 'POST',
            data: fd,
            processData: false,
            contentType: false,
            success: function(response) {
              var result = JSON.parse(response);
              console.log(response);

              if (result.status == 'Success') 
              {
                $('#cancellation_modal').modal('hide');
                toastr.success('Booking Cancelled.');
                fetchData();
              }
            }
          })
        })

        $('body').on('click', '#update_complaint', function() {
          var remarks = $('#complaint_info').val();

          var fd = new FormData();
          fd.append('booking_id', booking_id);
          fd.append('remarks', remarks);

          $.ajax({
            url: '<?php echo $main_path; ?>api/booking/booking_complaint.php',
            type: 'POST',
            data: fd,
            processData: false,
            contentType: false,
            success: function(response) {
              var result = JSON.parse(response);
              console.log(response);

              if (result.status == 'Success') {
                toastr.success('Complaint updated Successfully.');
                fetchData();
                $('#complaint_modal').modal('hide');
              }
            }
          })
        })

        $('#blacklist_driver_btn').click(function(){
          var remarks = $('#blacklist_reason').val();

          var fd = new FormData();
          fd.append('booking_id', booking_id);
          fd.append('driver_id', driver_id);
          fd.append('remarks', remarks);

          $.ajax({
            url: '<?php echo $main_path; ?>api/driver/blacklist_driver.php',
            type: 'POST',
            data: fd,
            processData: false,
            contentType: false,
            success: function(response) {
              var result = JSON.parse(response);
              console.log(response);

              if (result.status == 'Success') {
                toastr.success('Driver Blacklisted Successfully.');
                fetchData();
                $('#blacklist_driver_modal').modal('hide');
              }
            }
          })
        })

        //  

        $('#blacklist_customer_btn').click(function()
        {
          var remarks = $('#blacklist_customer_reason').val();

          var fd = new FormData();
          fd.append('booking_id', booking_id);
          fd.append('driver_id', driver_id);
          fd.append('remarks', remarks);

          $.ajax({
            url: '<?php echo $main_path; ?>api/customer/blacklist_customer.php',
            type: 'POST',
            data: fd,
            processData: false,
            contentType: false,
            success: function(response) {
              var result = JSON.parse(response);
              console.log(response);

              if (result.status == 'Success') {
                toastr.success('Customer Blacklisted Successfully.');
                fetchData();
                $('#blacklist_customer_modal').modal('hide');
              }
            }
          })
        })

        $('#preferred_driver_btn').click(function()
        {
          preferred_drivers = [];
          $('.driver_check_box').map(function(){
            if($(this).is(':checked'))
            {
              preferred_drivers.push($(this).closest('tr').data('driver-id'));
            }
          })

          if(preferred_drivers.length <= 0)
          {
            toastr.error('Please Select a Driver.');
          }
          else
          {
            
            var preferred_drivers_string = JSON.stringify(preferred_drivers);
            var fd = new FormData();
            fd.append('booking_id', booking_id);
            fd.append('preferred_drivers', preferred_drivers_string);

            $.ajax({
              url: '<?php echo $main_path; ?>api/driver/preferred_driver.php',
              type: 'POST',
              data: fd,
              processData: false,
              contentType: false,
              success: function(response) {
                var result = JSON.parse(response);
                console.log(response);

                if (result.status == 'Success') {
                  toastr.success('Drivers Updated.');
                  fetchData();
                }
              }
            })
          }
          
        })

      })
    </script>
</body>

</html>