<?php
require_once "./check_session.php";

if (isset($_GET['customer_id'])) {
  $customer_id = $_GET['customer_id'];
}
?>
<!DOCTYPE html>
<html lang="en" dir="ltr" data-bs-theme="light" data-color-theme="Blue_Theme" data-layout="horizontal">

<head>
  <!-- Required meta tags -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Favicon icon-->
  <link rel="shortcut icon" type="image/png" href="<?php echo $main_path; ?>images/logo_new.png">

  <!-- Core Css -->
  <link rel="stylesheet" href="<?php echo $main_path; ?>css/styles.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.css" integrity="sha512-3pIirOrwegjM6erE5gPSwkUzO+3cTjpnV9lexlNZqvupR64iZBnOOTiiLPb9M36zpMScbmUNIcHUqKD47M719g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <link rel="stylesheet" href="https://cdn.datatables.net/2.1.7/css/dataTables.bootstrap5.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/responsive/3.0.3/css/responsive.bootstrap5.css">
  <title>VMan - Driver Details</title>
  <style>
    .infos {
      color: #026202;
      font-weight: 700;
    }

    .download_btn {
      cursor: pointer;
    }

  </style>

</head>

<body>

  <!-- Preloader -->
  <div class="preloader">
    <img src="<?php echo $main_path; ?>images/preloader.svg" alt="loader" class="lds-ripple img-fluid">
  </div>
  <div id="main-wrapper">
    <!-- Sidebar Start -->
    <?php include('side_navbar.php'); ?>
    <!--  Sidebar End -->
    <div class="page-wrapper">
      <!--  Header Start -->
      <?php include('top_header.php'); ?>
      <!--  Header End -->

      <?php include('navbar.php'); ?>


      <div class="modal fade" id="subscription_modal" tabindex="-1" aria-labelledby="updateModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="updateModalLabel">Update Subscription</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <form>
                <!-- Mode of Payment Dropdown -->
                <div class="mb-3">
                  <label for="driver_category" style="color: #100c08; font-weight: 500;">Subscription Type <span class="text-danger">*</span></label>
                  <select class="form-control form-select mt-1" id="driver_category">
                    <option value="Part Time">Part Time</option>
                    <option value="Full Time">Full Time</option>
                  </select>
                </div>
                <div class="mb-3">
                  <label for="paymentMode" class="form-label">Mode of Payment <span class="text-danger">*</span></label>
                  <select id="paymentMode" class="form-select">
                    <option selected disabled>--- Select Payment Mode ---</option>
                    <option value="Online">Cash</option>
                    <option value="Card">Card</option>
                    <option value="UPI">UPI</option>
                    <option value="Netbanking">Netbanking</option>
                    <option value="Others">Others</option>
                  </select>
                </div>

                <!-- Date of Payment -->
                <div class="mb-3">
                  <label for="paymentDate" class="form-label">Date of Payment <span class="text-danger">*</span></label>
                  <input type="date" value="<?php echo date('Y-m-d'); ?>" class="form-control" id="paymentDate">
                </div>
                <div class="mb-3">
                  <label for="paymentRemarks" class="form-label">Payment Remarks</label>
                  <textarea class="form-control" id="paymentRemarks" rows="4"></textarea>
                </div>


                <!-- Proceed Button -->
                <div class="modal-footer">
                  <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancel</button>

                  <!-- Update Button -->
                  <button type="button" class="btn btn-primary" id="updateButton">Update</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>






      <div class="body-wrapper">
        <div class="container-fluid">
          <div class="page-titles mb-5">
            <div class="row">
              <div class="col-12">
                <div class="d-flex justify-content-between">
                  <div>
                    <h2 class="mb-0 fw-bolder fs-8">Customer Information</h2>
                    <badge>Customer Status: <span id="db_customer_status" style="font-weight:800;">Checking...</span></badge>
                  </div>
                  <div class="d-flex justify-content-end mt-4 gap-3 d-none" id="active_customer_btn">
                    <div class="d-flex gap-2">
                      <button onclick="location.href='<?php echo $admin_path . 'Customer-Edit/' . $customer_id; ?>'" class="btn btn-warning d-flex align-items-center gap-2"><i class="ti ti-pencil"></i>Edit</button>
                    </div>
                  </div>
                </div>
              </div>

            </div>
          </div>

          <!-- Row -->
          <div class="row">
            <div class="col-12">
              <div class="card-body">
                <div>
                  <!-- Nav tabs -->
                  <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item" role="presentation">
                      <a class="nav-link active" data-bs-toggle="tab" href="#tab_basic_information" role="tab" aria-selected="false">
                        <span>Basic Information</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_listed_cars" role="tab" aria-selected="true" tabindex="-1">
                        <span>Listed Cars</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_bookings" role="tab" aria-selected="false" tabindex="-1">
                        <span>Recent Bookings</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_pre_driver" role="tab" aria-selected="false" tabindex="-1">
                        <span>Preferred Drivers</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_blacklisted_driver" role="tab" aria-selected="false" tabindex="-1">
                        <span>Blacklisted Drivers</span>
                      </a>
                    </li>
                  </ul>
                  <!-- Tab panes -->
                  <div class="tab-content">
                    <div class="tab-pane active show" id="tab_basic_information" role="tabpanel">
                      <div class="row">

                        <div class="col-12 mt-5">
                          <div class="row">
                            <div class="col-12 mb-4">
                              <b>Personal Information</b>
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Customer ID
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_customer_id">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Customer Name
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_customer_name">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Customer Type
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_customer_type">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Venue Name
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_venue_name">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Whatsapp No
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_whatsup_no">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Alternative No
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_alternate_no">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Landline No
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_landline_no">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Address
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_address">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Area
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_area">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Google Map Location
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_map">
                              -
                            </div>
                            <div class="col-lg-3 col-6 mb-2">
                              Special Request
                            </div>
                            <div class="col-lg-9 col-6 mb-2 infos" id="db_request">
                              -
                            </div>
                          </div>
                        </div>
                      </div>

                    </div>
                    <div class="tab-pane p-3 " id="tab_listed_cars" role="tabpanel">
                      <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table">
                            <thead class="text-dark fs-4">
                              <tr>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">S.No</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Vehicle Model</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Vehicle Gear Type</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Vehicle Type</h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody id="listed_car_body">
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                    <div class="tab-pane p-3" id="tab_bookings" role="tabpanel">
                      <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table">
                            <thead class="text-dark fs-4">
                              <tr>                                
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Reporting Date</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Booking No</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Booking Type</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Created On</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Created By</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Status</h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody id="booking_data_body">

                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                    <div class="tab-pane p-3" id="tab_pre_driver" role="tabpanel">
                      <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table">
                            <thead class="text-dark fs-4">
                              <tr>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">S.No</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Driver ID</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Driver Name</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Whatsapp Number</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Alt Number</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Area</h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody id="preferred_driver_data_body">

                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                    <div class="tab-pane p-3" id="tab_blacklisted_driver" role="tabpanel">
                      <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table">
                            <thead class="text-dark fs-4">
                              <tr>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">S.No</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Driver ID</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Driver Name</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Booking No</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Reason</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Blacklisted Date</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Blacklisted By</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center"></h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody id="blacklisted_driver_data_body">

                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>

        </div>
        <!----Footer--->
        <!-- -------------------------------------------------------------- -->
        <!-- footer -->
        <!-- -------------------------------------------------------------- -->
        <footer class="footer py-3 bg-white border-top text-center">
          2024© All Rights Reserved by Cryptographic Solutions
        </footer>
        <!-- -------------------------------------------------------------- -->
        <!-- End footer -->
        <!-- -------------------------------------------------------------- -->
        <!----Footer End--->
      </div>
      <script>
        function handleColorTheme(e) {
          document.documentElement.setAttribute("data-color-theme", e);
        }
      </script>

    </div>
    <div class="dark-transparent sidebartoggler"></div>
    <script src="<?php echo $main_path; ?>js/vendor.min.js"></script>
    <!-- Import Js Files -->
    <script src="<?php echo $main_path; ?>js/bootstrap.bundle.min.js"></script>
    <script src="<?php echo $main_path; ?>js/simplebar.min.js"></script>
    <script src="<?php echo $main_path; ?>js/app.horizontal.init.js"></script>
    <script src="<?php echo $main_path; ?>js/theme.js"></script>
    <script src="<?php echo $main_path; ?>js/app.min.js"></script>
    <script src="<?php echo $main_path; ?>js/sidebarmenu.js"></script>
    <script src="<?php echo $admin_path; ?>pagination.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <!-- solar icons -->
    <script src="<?php echo $main_path; ?>js/iconify-icon.min.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.bootstrap5.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/dataTables.responsive.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/responsive.bootstrap5.js"></script>
    <script>
      $(document).ready(function() {

        function fetchData() {
          $.ajax({
            url: "<?php echo $main_path; ?>api/customer/customer_info.php",
            type: "POST",
            data: {
              customer_id: customer_id
            },
            success: function(response) {
              // console.log(response);
              var result = JSON.parse(response);

              $('#listed_car_body').html(``);
              $('#blacklisted_driver_data_body').html(``);
              $('#booking_data_body').html(``);
              $('#preferred_driver_data_body').html(``);

              if (result.status === 'Success') {
                var data = result.customer_data;

                $('#db_customer_id').html(data.customer_id);
                $('#db_customer_name').html(data.customer_name);                
                $('#db_venue_name').html(data.venue_name);
                $('#db_customer_type').html(data.customer_type);
                $('#db_whatsup_no').html(data.wa_no);
                $('#db_alternate_no').html(data.alt_no);
                $('#db_landline_no').html(data.landline);
                $('#db_address').html(data.address);
                $('#db_map').html(data.location);
                $('#db_area').html(data.area);
                $('#db_request').html(data.special_request);
                 

                $('#db_customer_status').html(data.customer_status);
                if (data.customer_status == 'Active') {
                  $('#db_customer_status').css('color', 'green');
                  $('#active_customer_btn').removeClass('d-none');
                } else {
                  $('#db_customer_status').css('color', 'red');
                  $('#active_customer_btn').addClass('d-none');
                }

                result['vehicle_data'].map(function(value, index) {
                  $('#listed_car_body').append(`<tr>
                                                          <td class="text-center">${index+1}</td>
                                                          <td class="text-center">${value.vehicle_name}</td>
                                                          <td class="text-center">${value.vehicle_gear_type}</td>
                                                          <td class="text-center">${value.vehicle_type}</td>
                                                         </tr>`);
                })

                if(result['vehicle_data'].length == 0)
                {
                  $('#listed_car_body').append(`<tr>
                                                    <td class="text-center" colspan="4"><i>No Vehicles Available.</i></td>
                                                  </tr>`);
                }
                
                result['booking_data'].map(function(value, index) {
                  $('#booking_data_body').append(`<tr>
                                                      <td class="text-center">${value.reporting_date}</td>
                                                      <td class="text-center"><a href="<?php echo $admin_path; ?>Booking-Details/${value.booking_id}" target="_BLANK">${value.booking_no}</a></td>
                                                      <td class="text-center">${value.booking_type}</td>                                                      
                                                      <td class="text-center">${value.created_on}</td>
                                                      <td class="text-center">${value.created_by}</td>
                                                      <td class="text-center">${value.booking_status}</td>
                                                    </tr>`);
                })

                if(result['booking_data'].length == 0)
                {
                  $('#booking_data_body').append(`<tr>
                                                    <td class="text-center" colspan="6"><i>No Bookings Available.</i></td>
                                                  </tr>`);
                }

                
                result['preferred_driver_data'].map(function(value, index) {
                  $('#preferred_driver_data_body').append(`<tr>
                                                          <td class="text-center">${index+1}</td>
                                                          <td class="text-center"><a href="<?php echo $admin_path; ?>Driver-Details/${value.driver_id}" target="_BLANK">${value.driver_ref_no}</a></td>
                                                          <td class="text-center">${value.driver_name}</td>
                                                          <td class="text-center">${value.wa_no}</td>
                                                          <td class="text-center">${value.alt_no}</td>
                                                          <td class="text-center">${value.area}</td>
                                                         </tr>`);
                })

                if(result['preferred_driver_data'].length == 0)
                {
                  $('#preferred_driver_data_body').append(`<tr>
                                                              <td class="text-center" colspan="6"><i>No Preferred Driver Selected.</i></td>
                                                            </tr>`);
                }

                result['blacklisted_driver_data'].map(function(value, index) {
                  $('#blacklisted_driver_data_body').append(`<tr data-driver-id="${value.driver_id}">
                                                          <td class="text-center">${index+1}</td>
                                                          <td class="text-center"><a href="<?php echo $admin_path; ?>Driver-Details/${value.driver_id}" target="_BLANK">${value.driver_ref_no}</a></td>
                                                          <td class="text-center">${value.driver_name}</td>
                                                          <td class="text-center"><a href="<?php echo $admin_path; ?>Booking-Details/${value.booking_id}" target="_BLANK">${value.booking_no}</a></td>
                                                          <td class="text-center">${value.reason}</td>
                                                          <td class="text-center">${value.blacklisted_date}</td>
                                                          <td class="text-center">${value.blacklisted_by}</td>
                                                          <td class="text-center remove_blacklist"><button class="btn btn-danger"><i class="ti ti-x"></i></button></td>
                                                         </tr>`);
                })
                
                if(result['blacklisted_driver_data'].length == 0)
                {
                  $('#blacklisted_driver_data_body').append(`<tr>
                                                              <td class="text-center" colspan="8"><i>No Driver Blacklisted.</i></td>
                                                            </tr>`);
                }
              } else if (result.status === 'No Driver') {
                toastr.error("Driver not Found");
              } else {
                toastr.error("Failed to fetch data");
              }
            },
            error: function(error) {
              console.error("Error fetching driver data:", error);
            }
          });
        }


        // Function to get note ID from URL
        function getIdFromUrl() {
          path = window['location']['pathname'].split("/");

          if (path.length != <?php echo $path_length; ?> || path['<?php echo $path_length - 2; ?>'] != 'Customer-Details') {
            toastr.error('Invalid URL');
          } else if (isNaN(path['<?php echo $path_length - 1; ?>'])) {
            toastr.error('Driver ID is missing from the URL');
          } else {
            window.customer_id = path['<?php echo $path_length - 1; ?>'];
            fetchData();
          }
        }

        getIdFromUrl();

        // ***********Delete User************
        $("#blacklisted_driver_data_body").on('click','.remove_blacklist',function() {
          
          var driver_id = $(this).closest('tr').data('driver-id');

          var fd = new FormData();
          fd.append('driver_id', driver_id);
          fd.append('customer_id', customer_id);

          $.ajax({
            url: '<?php echo $main_path; ?>api/driver/driver_unblacklist.php',
            type: 'post',
            contentType: false,
            processData: false,
            data: fd,
            success: function(response) {

              var result = JSON.parse(response);

              if (result.status == 'Success') {
                toastr.success(result.message);
                fetchData();
              } else {
                toastr.error(result.message);
              }
            },
            error: function(xhr, status, error) {
              toastr.error('An error occurred: ' + error);
            }
          });
        });

        // **********To Update Subscription************
        $('#updateButton').click(function() {
          var driver_category = $('#driver_category').val();
          var mode_of_payment = $('#paymentMode').val();
          var date_of_payment = $('#paymentDate').val();
          var paymentRemarks = $('#paymentRemarks').val();
          // Validate inputs
          if (mode_of_payment === null) {
            toastr.error('Payment mode not selected');
          } else if (date_of_payment === '') {
            toastr.error('Payment Date not selected');
          } else {
            var fd = new FormData();
            // fd.append('user_id', user_id); 
            fd.append('driver_id', driver_id);
            fd.append('driver_category', driver_category);
            fd.append('payment_mode', mode_of_payment);
            fd.append('payment_date', date_of_payment);
            fd.append('paymentRemarks', paymentRemarks);

            $.ajax({
              url: "<?php echo $main_path; ?>api/subscription/subscription.php",
              data: fd,
              contentType: false,
              processData: false,
              type: "post",
              success: function(response) {
                console.log(response);
                var result = JSON.parse(response);

                if (result.status === 'Success') {
                  toastr.success(result.message);
                  $('#paymentRemarks').val('');
                  $('#subscription_modal').modal('hide');
                  fetchData();
                } else {
                  toastr.error(result.message);
                }
              },
              error: function(xhr) {
                var result = JSON.parse(xhr.responseText);
                var message = result.message;
                toastr.error(message);
              }
            });
          }
        });

      })
    </script>
</body>

</html>