<?php
require_once "./check_session.php";

if(isset($_GET['driver_id']))
{
  $driver_id = $_GET['driver_id'];
}
?>
<!DOCTYPE html>
<html lang="en" dir="ltr" data-bs-theme="light" data-color-theme="Blue_Theme" data-layout="horizontal">

<head>
  <!-- Required meta tags -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Favicon icon-->
  <link rel="shortcut icon" type="image/png" href="<?php echo $main_path; ?>images/logo_new.png">

  <!-- Core Css -->
  <link rel="stylesheet" href="<?php echo $main_path; ?>css/styles.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.css" integrity="sha512-3pIirOrwegjM6erE5gPSwkUzO+3cTjpnV9lexlNZqvupR64iZBnOOTiiLPb9M36zpMScbmUNIcHUqKD47M719g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <link rel="stylesheet" href="https://cdn.datatables.net/2.1.7/css/dataTables.bootstrap5.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/responsive/3.0.3/css/responsive.bootstrap5.css">
  <title>VMan - Driver Details</title>
  <style>
    .infos
    {
      color:#026202;
      font-weight: 700;
    }
    .download_btn
    {
      cursor: pointer;
    }
    </style>

</head>

<body>

  <!-- Preloader -->
  <div class="preloader">
    <img src="<?php echo $main_path; ?>images/preloader.svg" alt="loader" class="lds-ripple img-fluid">
  </div>
  <div id="main-wrapper">
    <!-- Sidebar Start -->
    <?php include('side_navbar.php'); ?>
    <!--  Sidebar End -->
    <div class="page-wrapper">
      <!--  Header Start -->
      <?php include('top_header.php'); ?>
      <!--  Header End -->

      <?php include('navbar.php'); ?>

      <div class="modal fade" id="suspend_driver_modal" tabindex="-1" aria-labelledby="scroll-long-inner-modal" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
          <div class="modal-content">
            <div class="modal-body">
              <div class="row">
                <div class="col-12 mb-3 mt-4">
                  <b>Are you sure, you want to suspend the Driver?</b>
                </div>
                <div class="col-12">
                    <textarea class="form-control" rows="6" id="suspension_reason" placeholder="Reason for suspension"></textarea>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="col-12 d-flex justify-content-end">
                <button class="btn bg-light text-primary waves-effect" data-bs-dismiss="modal">
                  Cancel
                </button>
                <button class="btn bg-danger-subtle text-danger waves-effect" id="driver_delete">
                  Suspend Now
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="modal fade" id="subscription_modal" tabindex="-1" aria-labelledby="updateModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="updateModalLabel">Update Subscription</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <form>
                <!-- Mode of Payment Dropdown -->
                <div class="mb-3">
                    <label for="driver_category" style="color: #100c08; font-weight: 500;">Subscription Type <span class="text-danger">*</span></label>
                    <select class="form-control form-select mt-1" id="driver_category">
                      <option value="Part Time">Part Time</option>
                      <option value="Full Time">Full Time</option>
                    </select>
                </div>
                <!-- Date of Payment -->
                <div class="mb-3">
                  <label for="paymentDate" class="form-label">Date of Payment <span class="text-danger">*</span></label>
                  <input type="date" value="<?php echo date('Y-m-d'); ?>" class="form-control" id="paymentDate">
                </div>
                <div class="mb-3">
                  <label for="paymentRemarks" class="form-label">Payment Remarks</label>
                  <textarea class="form-control" id="paymentRemarks" rows="4"></textarea>
                </div>


                <!-- Proceed Button -->
                <div class="modal-footer">
                  <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancel</button>

                  <!-- Update Button -->
                  <button type="button" class="btn btn-primary" id="updateButton">Update</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>






      <div class="body-wrapper">
        <div class="container-fluid">
          <div class="page-titles mb-5">
            <div class="row">
              <div class="col-12">
                <div class="d-flex justify-content-between">
                  <div>
                    <h2 class="mb-0 fw-bolder fs-8">Driver Information</h2>
                    <badge>Driver Status: <span id="db_driver_status" style="font-weight:800;">Checking...</span></badge>
                  </div>
                  <div class="d-flex justify-content-end mt-4 gap-3 d-none" id="active_driver_btn">
                    <div class="d-flex gap-2">
                      <button onclick="location.href='<?php echo $admin_path.'Driver-Edit/'.$driver_id; ?>'" class="btn btn-warning d-flex align-items-center gap-2"><i class="ti ti-pencil"></i>Edit</button>
                      <button class="btn btn-danger d-flex align-items-center gap-2" data-bs-toggle="modal" data-bs-target="#suspend_driver_modal"><i class="ti ti-x"></i>Suspend Driver</button>
                    </div>
                  </div>
                </div>
              </div>
              
            </div>
          </div>

          <!-- Row -->
          <div class="row">
            <div class="col-12">
              <div class="card-body">
                <div>
                  <!-- Nav tabs -->
                  <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item" role="presentation">
                      <a class="nav-link active" data-bs-toggle="tab" href="#tab_basic_information" role="tab" aria-selected="false" >
                        <span>Basic Information</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link " data-bs-toggle="tab" href="#tab_documents" role="tab" aria-selected="true" tabindex="-1">
                        <span>Documents</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_blacklisted_customer" role="tab" aria-selected="false" tabindex="-1">
                        <span>Blacklisted Customers</span>
                      </a>
                    </li>
                    <li class="nav-item" role="presentation">
                      <a class="nav-link" data-bs-toggle="tab" href="#tab_subscription" role="tab" aria-selected="false" tabindex="-1">
                        <span>Subscription</span>
                      </a>
                    </li>
                  </ul>
                  <!-- Tab panes -->
                  <div class="tab-content">
                    <div class="tab-pane active show" id="tab_basic_information" role="tabpanel">
                      <div class="row">
                        
                        <div class="col-4 mt-5">
                          <div class="row">
                            <div class="col-12 mb-4">
                              <b>Personal Information</b>
                            </div>
                            <div class="col-5 mb-2">
                              Driver ID
                            </div>
                            <div class="col-7 mb-2 infos" id="db_driver_id">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Driver Name
                            </div>
                            <div class="col-7 mb-2 infos" id="db_driver_name">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Aadhaar No
                            </div>
                            <div class="col-7 mb-2 infos" id="db_aadhaar_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Whatsapp No
                            </div>
                            <div class="col-7 mb-2 infos" id="db_whatsup_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Alternative No
                            </div>
                            <div class="col-7 mb-2 infos" id="db_alternate_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              UPI No
                            </div>
                            <div class="col-7 mb-2 infos" id="db_upi_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Current Address
                            </div>
                            <div class="col-7 mb-2 infos" id="db_cur_address">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Permanent Address
                            </div>
                            <div class="col-7 mb-2 infos" id="db_perm_add">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Area
                            </div>
                            <div class="col-7 mb-2 infos" id="db_area">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Date of Joining
                            </div>
                            <div class="col-7 mb-2 infos" id="db_doj">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Type of Driver
                            </div>
                            <div class="col-7 mb-2 infos" id="db_driver">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Blood Group
                            </div>
                            <div class="col-7 mb-2 infos" id="db_blood_grp">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Referred By
                            </div>
                            <div class="col-7 mb-2 infos" id="db_ref_by">
                              -
                            </div>
                          </div> 
                        </div>
                        <div class="col-4 mt-5">
                          <div class="row">
                            <div class="col-12 mb-4">
                              <b>Licence Details:</b>
                            </div>
                            <div class="col-5 mb-2">
                              Licence Number
                            </div>
                            <div class="col-7 mb-2 infos" id="db_lic_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Licence Issue Date 
                            </div>
                            <div class="col-7 mb-2 infos" id="db_doi">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Licence Expiry Date
                            </div>
                            <div class="col-7 mb-2 infos" id="db_doe">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Type of Licence
                            </div>
                            <div class="col-7 mb-2 infos" id="db_tol">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Licence Type Expiry
                            </div>
                            <div class="col-7 mb-2 infos" id="db_lic_type_exp">
                              -
                            </div>
                          </div>
                        </div>
                        <div class="col-4 mt-5">
                          <div class="row">
                            <div class="col-12 mb-4">
                              <b>Emergency Contact Details:</b>
                            </div>
                            <div class="col-5 mb-2">
                              Name
                            </div>
                            <div class="col-7 mb-2 infos" id="db_relation_name">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Mobile Number
                            </div>
                            <div class="col-7 mb-2 infos" id="db_relation_no">
                              -
                            </div>
                            <div class="col-5 mb-2">
                              Relation
                            </div>
                            <div class="col-7 mb-2 infos" id="db_relation">
                              -
                            </div>
                          </div>
                        </div>
                      </div>

                    </div>
                    <div class="tab-pane p-3 " id="tab_documents" role="tabpanel">
                    <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table" id="trip_table">
                            <thead class="text-dark fs-4">
                              <tr>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Document Name</h6>
                                </th>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">File Upload</h6>
                                </th>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Download</h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody>
                              <tr>
                                <td>Driver Photo</td>
                                <td class="d-flex gap-2"><input type="file" data-file-name="photo" class="form-control file_upload"><button class="btn btn-sm btn-success upload_document">Upload</button></td>
                                <td class="text-center"><i data-file="" class="ti ti-download download_btn" id="driver_photo_btn"></i></td>
                              </tr>
                              <tr>
                                <td>Licence</td>
                                <td class="d-flex gap-2"><input type="file" data-file-name="license_proof" class="form-control file_upload"><button class="btn btn-sm btn-success upload_document">Upload</button></td>
                                <td class="text-center"><i data-file="" class="ti ti-download download_btn" id="licence_btn"></i></td>
                              </tr>
                              <tr>
                                <td>Aadhaar</td>
                                <td class="d-flex gap-2"><input type="file" data-file-name="aadhaar_proof" class="form-control file_upload"><button class="btn btn-sm btn-success upload_document">Upload</button></td>
                                <td class="text-center"><i data-file="" class="ti ti-download download_btn" id="aadhaar_btn"></i></td>
                              </tr>
                              <tr>
                                <td>Current Address</td>
                                <td class="d-flex gap-2"><input type="file" data-file-name="current_address_proof" class="form-control file_upload"><button class="btn btn-sm btn-success upload_document">Upload</button></td>
                                <td class="text-center"><i data-file="" class="ti ti-download download_btn" id="cur_address_btn"></i></td>
                              </tr>
                              <tr>
                                <td>Permanent Address</td>
                                <td class="d-flex gap-2"><input type="file" data-file-name="permanent_address_proof" class="form-control file_upload"><button class="btn btn-sm btn-success upload_document">Upload</button></td>
                                <td class="text-center"><i data-file="" class="ti ti-download download_btn" id="per_address_btn"></i></td>
                              </tr>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                    <div class="tab-pane p-3" id="tab_blacklisted_customer" role="tabpanel">
                      <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table">
                            <thead class="text-dark fs-4">
                            <tr>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">S.No</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Customer ID</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Customer Name</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Booking No</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Reason</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Blacklisted Date</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center">Blacklisted By</h6>
                                </th>
                                <th>
                                  <h6 class=" fw-semibold mb-0 text-center"></h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody id="blacklisted_customer_data_body">

                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                    <div class="tab-pane p-3" id="tab_subscription" role="tabpanel">
                      <div class="d-flex justify-content-between align-items-center">
                        <div>Subsciption Type: <span id="subscription_type" style="font-weight:bold;"></span></div>
                        <button class="btn btn-success d-flex align-items-center gap-2" data-bs-toggle="modal" data-bs-target="#subscription_modal"><i class="ti ti-bell-z"></i>Update Subscription</button>
                      </div>                    
                      <div class="col-lg-12">
                        <div class="table-responsive mb-4 rounded-1 mt-5">
                          <table class="table table-striped table-bordered text-nowrap align-middle data-table" id="trip_table">
                            <thead class="text-dark fs-4">
                              <tr> 
                                <th></th>  
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Payment Status</h6>
                                </th>                             
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Payment Month</h6>
                                </th>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Payment Date</h6>
                                </th>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Subsciption Type</h6>
                                </th>                                
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Subsciption End Date</h6>
                                </th>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Remarks</h6>
                                </th>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Updated By</h6>
                                </th>
                                <th>
                                  <h6 class="fw-semibold mb-0 text-center">Updated On</h6>
                                </th>
                              </tr>
                            </thead>
                            <tbody id="subscription_data_body">

                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>

        </div>
        <!----Footer--->
        <!-- -------------------------------------------------------------- -->
        <!-- footer -->
        <!-- -------------------------------------------------------------- -->
        <footer class="footer py-3 bg-white border-top text-center">
          2024© All Rights Reserved by Cryptographic Solutions
        </footer>
        <!-- -------------------------------------------------------------- -->
        <!-- End footer -->
        <!-- -------------------------------------------------------------- -->
        <!----Footer End--->
      </div>
      <script>
        function handleColorTheme(e) {
          document.documentElement.setAttribute("data-color-theme", e);
        }
      </script>

    </div>
    <div class="dark-transparent sidebartoggler"></div>
    <script src="<?php echo $main_path; ?>js/vendor.min.js"></script>
    <!-- Import Js Files -->
    <script src="<?php echo $main_path; ?>js/bootstrap.bundle.min.js"></script>
    <script src="<?php echo $main_path; ?>js/simplebar.min.js"></script>
    <script src="<?php echo $main_path; ?>js/app.horizontal.init.js"></script>
    <script src="<?php echo $main_path; ?>js/theme.js"></script>
    <script src="<?php echo $main_path; ?>js/app.min.js"></script>
    <script src="<?php echo $main_path; ?>js/sidebarmenu.js"></script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="<?php echo $admin_path; ?>pagination.js"></script>
    <!-- solar icons -->
    <script src="<?php echo $main_path; ?>js/iconify-icon.min.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.bootstrap5.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/dataTables.responsive.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/responsive.bootstrap5.js"></script>
    <script>
      $(document).ready(function() {

        function fetchData() 
        {
          $.ajax({
          url: "<?php echo $main_path; ?>api/driver/driver_info.php",
          type: "POST",
          data: { driver_id: driver_id },
          success: function(response) 
          {
                var result = JSON.parse(response);

                $('#subscription_data_body').html(``);
                $('#blacklisted_customer_data_body').html(``);
                
                if (result.status === 'Success') {
                  var data = result.driver_info;

                  $('#db_driver_id').html(data.driver_id);
                  $('#db_driver_name').html(data.driver_name);
                  $('#db_whatsup_no').html(data.wa_no);
                  $('#db_alternate_no').html(data.alt_no);
                  $('#db_upi_no').html(data.upi_no);
                  $('#db_cur_address').html(data.current_address);
                  $('#db_perm_add').html(data.permanent_address);
                  $('#db_area').html(data.area);
                  $('#db_aadhaar_no').html(data.aadhaar);
                  $('#db_driver').html(data.driver_type);                    
                  $('#db_cat_dri').html(data.driver_category);
                  $('#db_blood_grp').html(data.blood_group);                    
                  $('#db_doj').html(data.doj);
                  $('#db_ref_by').html(data.ref_by);
                  
                  // Licence details
                  $('#db_lic_no').html(data.license_no);
                  $('#db_doi').html(data.license_issue_date);
                  $('#db_doe').html(data.license_expiry);
                  $('#db_tol').html(data.license_type);
                  $('#db_lic_type_exp').html(data.license_type_exp);

                  // Emergency contact details
                  $('#db_relation_name').html(data.emergency_name);
                  $('#db_relation_no').html(data.emergency_no);
                  $('#db_relation').html(data.emergency_relation);
                  $('#db_driver_status').html(data.driver_status+' ('+data.suspended_reason+')');
                  // $('#db_sus_reason').html(data.suspended_reason);
                  
                  if(data.driver_status == 'Active')
                  {
                    $('#db_driver_status').css('color', 'green');
                    $('#active_driver_btn').removeClass('d-none');
                  }
                  else if(data.driver_status == 'Suspended')
                  {                    
                    $('#db_driver_status').css('color', 'red');
                    $('#active_driver_btn').addClass('d-none');
                  }
                  else
                  {                 
                    $('#db_driver_status').css('color', 'red');
                    $('#active_driver_btn').addClass('d-none');
                  }
                      
                  $('#driver_photo_btn').attr('data-file',data.photo);
                  $('#licence_btn').attr('data-file',data.license_proof);
                  $('#aadhaar_btn').attr('data-file',data.aadhaar_proof);
                  $('#cur_address_btn').attr('data-file',data.current_address_proof);
                  
                  window.subscription_type = data.subscription_type;
                  $('#subscription_type').html(data.subscription_type);
                  
                  if(data.permanent_address_proof == '<?php echo $domain; ?>')
                  {
                    $('#per_address_btn').addClass('d-none');
                  }                  
                  else
                  {
                    $('#per_address_btn').attr('data-file',data.permanent_address_proof);
                  }

                  result['subscription'].map(function(value){
                    if(value.payment_status == 'Un-Paid')
                    {
                      var payment_btn = `<input type="checkbox" value="${value.payment_id}" class="payment_checkbox form-check-input">`;
                      style_color = 'text-danger';
                    }
                    else
                    {
                      var payment_btn = '';
                      style_color = 'text-success';
                    }
                    $('#subscription_data_body').append(`<tr>
                                                          <td class="text-center" style="width:10px;">
                                                            ${payment_btn}
                                                          </td>
                                                          <td class="text-center ${style_color}">${value.payment_status}</td>
                                                          <td class="text-center">${value.payment_month}</td>
                                                          <td class="text-center">${value.payment_date}</td>
                                                          <td class="text-center">${value.subscription_type}</td>                                                          
                                                          <td class="text-center">${value.expiry_date}</td>
                                                          <td>${value.remarks}</td>
                                                          <td class="text-center">${value.user_name}</td>
                                                          <td class="text-center">${value.updated_on}</td>
                                                         </tr>`);
                  })

                  if(result['subscription'].length == 0)
                  {
                    $('#subscription_data_body').append(`<tr>
                                                          <td class="text-center" colspan="7"><i>Subsciption Data was not Found</i></td>
                                                         </tr>`);
                  }
                  
                  result['blacklisted_customer_data'].map(function(value, index) {
                    $('#blacklisted_customer_data_body').append(`<tr data-customer-id="${value.customer_id}">
                                                          <td class="text-center">${index+1}</td>
                                                          <td class="text-center"><a href="<?php echo $admin_path; ?>Customer-Details/${value.customer_id}" target="_BLANK">${value.customer_ref_no}</a></td>
                                                          <td class="text-center">${value.customer_name}</td>
                                                          <td class="text-center"><a href="<?php echo $admin_path; ?>Booking-Details/${value.booking_id}" target="_BLANK">${value.booking_no}</a></td>
                                                          <td class="text-center">${value.reason}</td>
                                                          <td class="text-center">${value.blacklisted_date}</td>
                                                          <td class="text-center">${value.blacklisted_by}</td>
                                                          <td class="text-center remove_blacklist"><button class="btn btn-danger"><i class="ti ti-x"></i></button></td>
                                                         </tr>`);

                  })

                  if(result['blacklisted_customer_data'].length == 0)
                  {
                    $('#blacklisted_customer_data_body').append(`<tr>
                                                          <td class="text-center" colspan="8"><i>No Customer was Blacklisted</i></td>
                                                         </tr>`);
                  }
                } else if (result.status === 'No Driver'){
                  toastr.error("Driver not Found");
                } else {
                  toastr.error("Failed to fetch data");
                }
            },
            error: function(error) {
                console.error("Error fetching driver data:", error);
            }
        });
        }
        
        
        // Function to get note ID from URL
        function getIdFromUrl() {
          path = window['location']['pathname'].split("/");
          
          if(path.length != <?php echo $path_length; ?> || path['<?php echo $path_length-2; ?>'] != 'Driver-Details')
          {
            toastr.error('Invalid URL');
          }   
          else if( isNaN(path['<?php echo $path_length-1; ?>']) )
          {
            toastr.error('Driver ID is missing from the URL');
          }
          else
          {
            window.driver_id = path['<?php echo $path_length-1; ?>'];
            fetchData();
          }
        }

        getIdFromUrl();

        $("#blacklisted_customer_data_body").on('click','.remove_blacklist',function() {
          
          var customer_id = $(this).closest('tr').data('customer-id');

          var fd = new FormData();
          fd.append('driver_id', driver_id);
          fd.append('customer_id', customer_id);

          $.ajax({
            url: '<?php echo $main_path; ?>api/customer/customer_unblacklist.php',
            type: 'post',
            contentType: false,
            processData: false,
            data: fd,
            success: function(response) {

              var result = JSON.parse(response);

              if (result.status == 'Success') {
                toastr.success(result.message);
                fetchData();
              } else {
                toastr.error(result.message);
              }
            },
            error: function(xhr, status, error) {
              toastr.error('An error occurred: ' + error);
            }
          });
        });

        $('.upload_document').click(function(){
          var document_type = $(this).closest('td').find('.file_upload').data('file-name');
          var file = $(this).closest('td').find('.file_upload')[0].files[0];
          let $this = $(this);

          if (!file) {
              toastr.error("Please select a file to upload.");
              return;
          }

          let fd = new FormData();

          fd.append(document_type, file);
          fd.append('driver_id', driver_id);

          $.ajax({
            url: '<?php echo $main_path; ?>api/driver/driver_doc_update.php',
            type: 'POST',
            data: fd,
            contentType: false,
            processData: false,
            success: function(response) {
              var res = JSON.parse(response);
              if (res.status === "Success") {
                  toastr.success('File Updated Successfully');
                  $this.closest('td').find('.file_upload').val('');
                  fetchData()
              } else {
                  toastr.error("Error with the backend.");
              }
            }
          })
           
        })

        function downloadURI(name) 
        {
          var link = document.createElement("a");
          link.download = name;
          link.href = '<?php echo $main_path; ?>'+name;
          
          link.target = "_blank";
          document.body.appendChild(link);
          link.click();
          document.body.removeChild(link);
          delete link;
        }

        $('.download_btn').click(function(){
          var file_path = $(this).attr('data-file');
          console.log(file_path);
          downloadURI(file_path);
        })

        // ***********Delete User************
        $("#driver_delete").click(function() 
        {
          var suspension_reason = $('#suspension_reason').val();

          var fd = new FormData();
          fd.append('driver_id', driver_id);
          fd.append('suspension_reason', suspension_reason);

          $.ajax({
            url: '<?php echo $main_path; ?>api/driver/driver_delete.php',
            type: 'post',
            contentType: false,
            processData: false,
            data: fd,
            success: function(response) {

              var result = JSON.parse(response);

              if (result.status == 'Success') {
                toastr.success(result.message);
                $('#suspend_driver_modal').modal('hide');
                fetchData();
              } else {
                toastr.error(result.message);
              }
            },
            error: function(xhr, status, error) {
              toastr.error('An error occurred: ' + error);
            }
          });
        });

        // **********To Update Subscription************
        $('#updateButton').click(function() 
        {
          var driver_category = $('#driver_category').val();
          var mode_of_payment = $('#paymentMode').val();
          var date_of_payment = $('#paymentDate').val();
          var paymentRemarks = $('#paymentRemarks').val();

          var subsciption_months = [];

          if(subscription_type == 'Credit')
          {
            $('.payment_checkbox:checked').each(function()
            {
              subsciption_months.push($(this).val());
            })

            if(subsciption_months.length < 1)
            {
              toastr.error('Payment months are not selected');
              return;
            }
          }

          // Validate inputs
          if (mode_of_payment === null) {
            toastr.error('Payment mode not selected');
          } else if (date_of_payment === '') {
            toastr.error('Payment Date not selected');
          } else {
            var fd = new FormData();

            var subsciption_months_string = JSON.stringify(subsciption_months);

            // fd.append('user_id', user_id); 
            fd.append('driver_id', driver_id);
            fd.append('driver_category', driver_category);
            fd.append('payment_date', date_of_payment);
            fd.append('paymentRemarks', paymentRemarks);
            fd.append('subsciption_months_string', subsciption_months_string);
            fd.append('subscription_type', subscription_type);

            $.ajax({
              url: "<?php echo $main_path; ?>api/subscription/subscription.php",
              data: fd,
              contentType: false,
              processData: false,
              type: "post",
              success: function(response) {
                console.log(response);
                var result = JSON.parse(response);

                if (result.status === 'Success') {
                  toastr.success(result.message);
                  $('#paymentRemarks').val('');
                  $('#subscription_modal').modal('hide');
                  fetchData();
                } else {
                  toastr.error(result.message);
                }
              },
              error: function(xhr) {
                var result = JSON.parse(xhr.responseText);
                var message = result.message;
                toastr.error(message);
              }
            });
          }
        });

      })
    </script>
</body>
</html>