<?php
require_once "./check_session.php";
?>
<!DOCTYPE html>
<html lang="en" dir="ltr" data-bs-theme="light" data-color-theme="Blue_Theme" data-layout="horizontal">

<head>
  <!-- Required meta tags -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Favicon icon-->
  <link rel="shortcut icon" type="image/png" href="<?php echo $main_path; ?>images/logo_new.png">

  <!-- Core Css -->
  <link rel="stylesheet" href="<?php echo $main_path; ?>css/styles.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.css" integrity="sha512-3pIirOrwegjM6erE5gPSwkUzO+3cTjpnV9lexlNZqvupR64iZBnOOTiiLPb9M36zpMScbmUNIcHUqKD47M719g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  <link rel="stylesheet" href="https://cdn.datatables.net/2.1.7/css/dataTables.bootstrap5.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/responsive/3.0.3/css/responsive.bootstrap5.css">
  <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />

  <title>Acting Driving Admin</title>
  <style>
    #trip_table td,
    #trip_table th {
      text-align: center;
      vertical-align: middle;
    }
  
    .table_pagination {
      user-select: none;
    }

    .page_nav {
      display: inline-block;
      padding: 5px 10px;
      border-radius: 5px;
      color: #3bb83b;
      border: 2px solid #3bb83b;
      font-weight: 800;
      cursor: pointer;
    }

    .next_page_nav,
    .prev_page_nav {
      border: 2px solid #3bb83b;
      color: #3bb83b;
      font-weight: 600;
    }

    .page_nav.active {
      background-color: #026202;
      border: 2px solid #026202;
      color: white;
    }

    .page_nav:hover {
      background-color: #026202;
      color: white;
    }
    
    .switch {
    position: relative;
    display: inline-block;
    width: 40px; /* Reduced width */
    height: 20px; /* Reduced height */
    border-radius: 15px; /* Curved edges */
  }
  .switch input {
    display: none;
  }
  .slider {
    float: right;
    height: 20px;
    width: 120%;
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    border-radius: 10px; /* Slightly rounded rectangle */
    transition: .4s;
  }
  .slider:before {
    position: absolute;
    content: "";
    height: 14px; /* Reduced height for the toggle */
    width: 14px; /* Reduced width for the toggle */
    left: 3px; 
    bottom: 3px;
    background-color: white;
    border-radius: 50%; 
    transition: .4s;
  }
  input:checked + .slider {
    background-color: #2196F3;
  }
  input:checked + .slider:before {
    transform: translateX(20px); 
  }
  </style>

</head>

<body>

  <!-- Preloader -->
  <div class="preloader">
    <img src="<?php echo $main_path; ?>images/preloader.svg" alt="loader" class="lds-ripple img-fluid">
  </div>
  <div id="main-wrapper">
    <!-- Sidebar Start -->
    <?php include('side_navbar.php'); ?>
    <!--  Sidebar End -->
    <div class="page-wrapper">
      <!--  Header Start -->
      <?php include('top_header.php'); ?>
      <!--  Header End -->

      <?php include('navbar.php'); ?>


      <div class="body-wrapper">
        <div class="container-fluid">
          

          <!-- Row -->
          <div class="row">

            <div class="col-lg-12">
              <div class="card">
                <div class="card-body">
                  <div class="row">
                    <div class="row mt-3">
                      <div class="col-6 text-start">
                        <h5><b>Driver List</b></h5>
                      </div>

                    </div>

                  </div>
                  <div class="row">
                    <div class="col-md-5 mt-4">
                      <input class="form-control" id="search_result" placeholder="Search Driver by Name, Number, Driver ID">
                    </div>
                    <div class="col-md-5"></div>
                    <div class="col-md-2 mt-4">
                      <select class="form-select" id="driver_status">
                        <option>Active</option>
                        <option>Suspended</option>
                      </select>
                    </div>
                    
                    <div class="col-lg-12">
                      <!-- <h5>Customer List</h5> -->
                       
                      <div class="table-responsive mb-4 rounded-1 mt-5">
                      <div class="d-flex justify-content-end mb-3">                   
                      </div>
                        <table class="table table-striped table-bordered text-nowrap align-middle data-table" id="trip_table">
                          <thead class="text-dark fs-4">
                            <tr>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">S.No</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Driver ID</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Driver Name</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Whatsapp No</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Alternative No</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Driver Type</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Valid Till</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Status</h6>
                              </th>
                              <th>
                                <h6 class="fw-semibold mb-0 text-center">Action</h6>
                              </th>

                            </tr>
                          </thead>
                          <tbody id="driver_data_body">

                          </tbody>
                        </table>
                      </div>
                    </div>
                    <div class="col-12 d-flex justify-content-end table_pagination d-none">
                      <div class="d-flex align-items-center gap-1">
                        <span data-page-nav="prev" class="page_nav prev_page_nav"><span class="d-flex align-items-center"><i class="ti ti-chevrons-left"></i>Prev</span></span>
                        <span data-page-nav="1" class="page_nav page_count_one active">1</span>
                        <span data-page-nav="2" class="page_nav page_count_two">2</span>
                        <span data-page-nav="3" class="page_nav page_count_three">3</span>
                        <span data-page-nav="next" class="page_nav next_page_nav"><span class="d-flex align-items-center">Next<i class="ti ti-chevrons-right"></i></span></span>
                      </div>
                    </div>
                  </div>


                </div>
              </div>
            </div>

          </div>

        </div>
        <!----Footer--->
        <!-- -------------------------------------------------------------- -->
        <!-- footer -->
        <!-- -------------------------------------------------------------- -->
        <footer class="footer py-3 bg-white border-top text-center">
          2024© All Rights Reserved by Cryptographic Solutions
        </footer>
        <!-- -------------------------------------------------------------- -->
        <!-- End footer -->
        <!-- -------------------------------------------------------------- -->
        <!----Footer End--->
      </div>

      <!-- switch script -->
       <script>
        document.addEventListener('DOMContentLoaded', function () {
  const statusSwitch = document.getElementById('statusSwitch');
  const statusLabel = document.getElementById('statusLabel');
  const driverDataBody = document.getElementById('driver_data_body');

  let currentStatus = 'All'; // Initial state

  const fetchRecords = (status) => {
    // Simulate AJAX call
    fetch(`fetch_driver_data.php?status=${status}`)
      .then((response) => response.json())
      .then((data) => {
        driverDataBody.innerHTML = ''; // Clear table body
        data.forEach((driver, index) => {
          driverDataBody.innerHTML += `
            <tr>
              <td class="text-center">${index + 1}</td>
              <td class="text-center">${driver.driver_id}</td>
              <td class="text-center">${driver.driver_name}</td>
              <td class="text-center">${driver.whatsapp_no}</td>
              <td class="text-center">${driver.alternative_no}</td>
              <td class="text-center">${driver.driver_type}</td>
              <td class="text-center">${driver.valid_till}</td>
              <td class="text-center">${driver.status}</td>
              <td class="text-center">Actions</td>
            </tr>`;
        });
      });
  };

  // Fetch all records initially
  fetchRecords(currentStatus);

  statusSwitch.addEventListener('click', () => {
    if (currentStatus === 'All') {
      currentStatus = 'Active';
      statusLabel.textContent = 'Active ';
    } else if (currentStatus === 'Active') {
      currentStatus = 'Suspended';
      statusLabel.textContent = 'Suspended ';
    } else {
      currentStatus = 'All';
      statusLabel.textContent = 'All ';
    }
    fetchRecords(currentStatus);
  });
});

       </script>
      <script>
        function handleColorTheme(e) {
          document.documentElement.setAttribute("data-color-theme", e);
        }
      </script>

    </div>

    <div class="modal fade" id="driver_available_modal" tabindex="-1" aria-labelledby="updateModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="updateModalLabel">Update Availability</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <form>

                <!-- Date of Payment -->
                <div class="mb-3">
                  <label for="paymentDate" class="form-label">Available Date <span class="text-danger">*</span></label>
                  <input class="form-control" id="available_date">
                </div>

                <div class="mb-3">
                  <label for="driver_avail_area" class="form-label">Area <span class="text-danger">*</span></label>
                  <input class="form-control" id="driver_avail_area">
                </div>

                <div class="mb-3">
                  <label for="avail_comments" class="form-label">Comments</label>
                  <textarea class="form-control" id="avail_comments"></textarea>
                </div>

                <!-- Proceed Button -->
                <div class="modal-footer">
                  <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cancel</button>

                  <!-- Update Button -->
                  <button type="button" class="btn btn-primary" id="update_availability">Update</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>

    <div class="dark-transparent sidebartoggler"></div>
    <script src="<?php echo $main_path; ?>js/vendor.min.js"></script>
    <!-- Import Js Files -->
    <script src="<?php echo $main_path; ?>js/bootstrap.bundle.min.js"></script>
    <script src="<?php echo $main_path; ?>js/simplebar.min.js"></script>
    <script src="<?php echo $main_path; ?>js/app.horizontal.init.js"></script>
    <script src="<?php echo $main_path; ?>js/theme.js"></script>
    <script src="<?php echo $main_path; ?>js/app.min.js"></script>
    <script src="<?php echo $main_path; ?>js/sidebarmenu.js"></script>
    <script src="<?php echo $admin_path; ?>pagination.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <!-- solar icons -->
    <script src="<?php echo $main_path; ?>js/iconify-icon.min.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.js"></script>
    <script src="https://cdn.datatables.net/2.1.7/js/dataTables.bootstrap5.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/dataTables.responsive.js"></script>
    <script src="https://cdn.datatables.net/responsive/3.0.3/js/responsive.bootstrap5.js"></script>

    <script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
    <script>
      $(document).ready(function() {

        $('#available_date').daterangepicker({
          startDate: moment(),
          endDate: moment(),
          minDate: moment(),
          locale: {
            format: 'DD/M/YYYY'
          }
        });

        window.current_page = 1;

        $('.table_pagination').on('click', '.page_nav', function() {
          var temp_val = $(this).attr('data-page-nav');
          current_page = $('.page_nav.active').attr('data-page-nav');

          if (temp_val == 'prev') {
            current_page--;
            if (current_page <= 0) {
              current_page = 1;
            }
          } else if (temp_val == 'next') {
            current_page++;
            if (current_page > result_total_pages) {
              current_page = result_total_pages;
            }
          } else {
            current_page = temp_val;
          }

          fetchData();
        })
        
        $('#driver_status').change(function(){
          fetchData();
        })

        //**************Show the table************
        function fetchData() 
        {
          var search = $('#search_result').val();
          var driver_status = $('#driver_status').val();

          $.ajax({
            url: '<?php echo $main_path; ?>api/driver/driver_list.php',
            type: "post",
            data: {
              search: search,
              current_page: current_page,
              driver_status: driver_status
            },
            success: function(response) 
            {
              var result = JSON.parse(response);
              console.log("Response from server:", result);
              $('#driver_data_body').html('');

              window.result_total_pages = result['total_page_count'];
              getPages(current_page, result_total_pages);
              
              if (result.status === 'Success') {
                
                if (result['data'].length === 0) {
                  $('#driver_data_body').append(`<tr><td colspan="9" class="text-center"><i>Driver Not Found</i></td></tr>`);
                } else {
                  
                  var count = 1;
                  result['data'].forEach(function(item) {
                    
                    let btn = `<button class="btn btn-primary get_driver_id" data-bs-toggle="modal" data-bs-target="#driver_available_modal">
                                  <i class="ti ti-calendar" data-bs-toggle="tooltip" data-bs-placement="top" title="Available"></i>
                                </button>
                                <button onclick="location.href='Driver-Details/${item.id}'" class="btn btn-success">
                                  <i class="ti ti-eye"  data-bs-toggle="tooltip" data-bs-placement="top" title="View"></i>
                                </button>`;
                    $('#driver_data_body').append(`<tr data-driver-id="${item.id}">
                                                      <td class="text-center">${((current_page-1)*10)+count}</td>
                                                      <td class="text-center">${item.driver_id}</td>
                                                      <td class="text-center">${item.driver_name}</td>
                                                      <td class="text-center">${item.wa_no}</td>
                                                      <td class="text-center">${item.alt_no}</td>
                                                      <td class="text-center">${item.driver_category}</td>
                                                      <td class="text-center">${item.expiry_date_crt_format}</td>
                                                      <td class="text-center">${item.status}</td>
                                                      <td class="text-center">${btn}</td>
                                                    </tr>`);
                    count++;
                  });
                }
              } else {
                toastr.error(result.message);
              }
            },
            error: function(xhr) {
              console.error("AJAX Error:", xhr);
              try {
                var result = JSON.parse(xhr.responseText);
                toastr.error(result.message);
              } catch (e) {
                toastr.error("AJAX request failed");
              }
            }
          });
        }

        fetchData(); // Fetch data on page load

        $('#search_result').keyup(function() {
          window.current_page = 1;
          fetchData();
        })

        $('body').on('click','.get_driver_id', function(){
          window.driver_id = $(this).closest('tr').data('driver-id');
        })


        //***********Get data to edit from backend**************

        $(document).on('click', '.editBtn', function(e) {
          e.preventDefault();

          var driver_id = $(this).data('edit-id');
          console.log(driver_id);



          if (driver_id) {
            window.location.href = `Driver-Edit?driver_id=${driver_id}`


          } else {
            toastr.error('Note ID is missing');
          }
        });




        //***************Edit drivers photo uploads***********/
        $(document).on('click', '.upd_btn', function(e) {
          e.preventDefault();

          var driver_id = $(this).data('upd-id');
          console.log(driver_id);



          if (driver_id) {
            window.location.href = `Driver-Photos-Update?driver_id=${driver_id}`


          } else {
            toastr.error('Drivr ID is missing');
          }
        });


        // ***********Delete User************


        $(document).on('click', '.del_btn', function() {

          var delbtnId = $(this).data('del-id');

          $('#driver_delete').data('del-id', delbtnId);
        });

        $("#driver_delete").click(function() {

          var driver_id = $(this).data('del-id');
          console.log(driver_id);


          var fd = new FormData();
          fd.append('driver_id', driver_id);


          $.ajax({
            url: '<?php echo $main_path; ?>api/driver/driver_delete.php',
            type: 'post',
            contentType: false,
            processData: false,
            data: fd,
            success: function(response) {

              var result = JSON.parse(response);

              if (result.status == 'Success') {
                toastr.success(result.message);

                $('#pass_modal_close_del').click();

                fetchData();
              } else {
                toastr.error(result.message);
              }
            },
            error: function(xhr, status, error) {
              toastr.error('An error occurred: ' + error);
            }
          });
        });


        // **********To Update Subscription************



        $(document).on('click', '.sub_btn', function() {
          var subbtnId = $(this).data('sub-id');
          $('#updateButton').data('sub-id', subbtnId);
        });

        $('#updateButton').click(function() {
          var driver_id = $(this).data('sub-id');
          var mode_of_payment = $('#paymentMode').val();
          var date_of_payment = $('#paymentDate').val();
          var paymentRemarks = $('#paymentRemarks').val();
          // Validate inputs
          if (mode_of_payment === '') {
            toastr.error('Payment mode not selected');
          } else if (date_of_payment === '') {
            toastr.error('Payment Date not selected');
          } else {
            var fd = new FormData();
            // fd.append('user_id', user_id); 
            fd.append('driver_id', driver_id);
            fd.append('payment_mode', mode_of_payment);
            fd.append('payment_date', date_of_payment);
            fd.append('paymentRemarks', paymentRemarks);

            $.ajax({
              url: "<?php echo $main_path; ?>api/subscription/subscription.php",
              data: fd,
              contentType: false,
              processData: false,
              type: "post",
              success: function(response) {
                console.log(response);
                var result = JSON.parse(response);

                if (result.status === 'Success') {
                  toastr.success(result.message);
                  $('#mode_of_payment').val('');
                  $('#date_of_payment').val('');

                  fetchData();
                } else {
                  toastr.error(result.message);
                }
              },
              error: function(xhr) {
                var result = JSON.parse(xhr.responseText);
                var message = result.message;
                toastr.error(message);
              }
            });
          }
        });

        $('#update_availability').click(function()
        {
          var avail_start_date =  $('#available_date').data('daterangepicker').startDate.format('YYYY-MM-DD');
          var avail_end_date =  $('#available_date').data('daterangepicker').endDate.format('YYYY-MM-DD');
          var avail_comments = $('#avail_comments').val();
          var driver_avail_area = $('#driver_avail_area').val();          

          var fd = new FormData();

          fd.append('avail_start_date', avail_start_date);
          fd.append('avail_end_date', avail_end_date);
          fd.append('driver_id', driver_id);
          fd.append('driver_avail_area', driver_avail_area);
          fd.append('avail_comments', avail_comments);

          $.ajax({
            url: "<?php echo $main_path; ?>api/driver/availability_create.php",
            data: fd,
            contentType: false,
            processData: false,
            type: "post",
            success: function(response) 
            {
              
              var result = JSON.parse(response);
              
              if (result.status === 'Success') {
                  toastr.success(result.message);
                  $('#driver_available_modal').modal('toggle');
                  fetchData();
                } else {
                  toastr.error(result.message);
                }

            }
          })
        })

      })
    </script>


</body>

</html>