<?php
    require_once "../datab.php"; // Database connection
    // require_once "../get_session.php"; // Session handling

    $res = ['status' => 'Error', 'message' => 'Invalid Request'];

    $blacklist_type = mysqli_real_escape_string($conn, $_POST['blacklist_type']);
    
    $tbl = '';
    if ($blacklist_type == 'driver') {
        $tbl = 'blacklisted_driver_data AS tdd';
    } 
    if ($blacklist_type == 'customer') {
        $tbl = 'blacklisted_customer_data AS tdd';
    }

    $sql = "SELECT (tdd.id) blacklist_id , dd.driver_name, tdd.reason, cd.customer_name
            FROM $tbl
            JOIN customer_data cd ON cd.id = tdd.customer_id
            JOIN driver_data dd ON dd.id = tdd.driver_id
            JOIN booking_table bt ON bt.id = tdd.trip_id
            WHERE tdd.status = '1'  ";

    if(isset($_POST['customer_id'])){
        $customer_id = mysqli_real_escape_string($conn, $_POST['customer_id']);
        $sql .= " AND tdd.customer_id = '$customer_id' ";
    }

    if(isset($_POST['driver_id'])){
        $driver_id = mysqli_real_escape_string($conn, $_POST['driver_id']);
        $sql .= " AND tdd.driver_id = '$driver_id' ";
    }

    $result = mysqli_query($conn, $sql);

    if ($result) {
        $data = [];
        while ($row = mysqli_fetch_assoc($result)) {
            $data[] = $row;
        }

        $res = [
            'status' => 'Success',
            'data' => $data
        ];
    } else {
        $res['status'] = 'Error';
        $res['message'] = 'Failed to retrieve blacklist data. Please try again.';
    }

    mysqli_close($conn);

    echo json_encode($res);
?>
