<?php
    require_once '../datab.php';
    require_once '../get_session.php';

    $response = [];

    $booking_id = mysqli_real_escape_string($conn, $_POST['booking_id']);
    $remarks = mysqli_real_escape_string($conn, $_POST['remarks']);

    $status = 'Yes';
    $sql = "UPDATE booking_table SET complaint_status = ?, complaint_remark = ? WHERE id = ?";

    $stmt = mysqli_prepare($conn, $sql);
    mysqli_stmt_bind_param(
        $stmt,
        "ssi",
        $status,
        $remarks,
        $booking_id
    );

    if (mysqli_stmt_execute($stmt)) {
        if (mysqli_stmt_affected_rows($stmt) > 0) {
            $response = ["status" => "Success", "message" => "Complaint updated successfully"];
        } else {
            $response = ["status" => "Error", "message" => "Complaint not Updated."];
        }
    } else {
        
    }

    mysqli_commit($conn);
    mysqli_stmt_close($stmt);
   
    echo json_encode($response);
    mysqli_close($conn);
?>
