<?php
    require_once '../datab.php';
    require_once '../get_session.php';

    $reporing_time = mysqli_real_escape_string($conn, $_POST['reporing_time']);
    $booking_type = mysqli_real_escape_string($conn, $_POST['booking_type']);
    $booked_for = mysqli_real_escape_string($conn, $_POST['booked_for']);
    $customer_no = mysqli_real_escape_string($conn, $_POST['customer_no']);
    $from_address = mysqli_real_escape_string($conn, $_POST['from_address']);
    $destination_address = mysqli_real_escape_string($conn, $_POST['destination_address']);
    $pickup_area = mysqli_real_escape_string($conn, $_POST['pickup_area']);
    $vehicle_model = mysqli_real_escape_string($conn, $_POST['vehicle_model']);
    $vehicle_type = mysqli_real_escape_string($conn, $_POST['vehicle_type']);
    $vehicle_gear_type = mysqli_real_escape_string($conn, $_POST['vehicle_gear_type']);
    $no_driver = mysqli_real_escape_string($conn, $_POST['no_driver']);
    $special_request = mysqli_real_escape_string($conn, $_POST['special_request']);
    $add_remarks = mysqli_real_escape_string($conn, $_POST['add_remarks']);
    $reconfirm_check = mysqli_real_escape_string($conn, $_POST['reconfirm_check']);
    $reconfirm_date = mysqli_real_escape_string($conn, $_POST['reconfirm_date']);
    $with_car = mysqli_real_escape_string($conn, $_POST['with_car']);
    $customer_id = mysqli_real_escape_string($conn, $_POST['customer_id']);
    $driver_ids = json_decode($_POST['driver_ids'], true);

    if($reconfirm_check == 'true')
    {
        $booking_status = 'Un-Confirmed';
    }
    else if($no_driver != COUNT($driver_ids))
    {
        $booking_status = 'Un-Assigned';
    }
    else
    {
        $booking_status = 'Un-Informed';
    }

    $response = [];

    $sql = "SELECT * FROM master_booking_no WHERE status = 'Active' and id = '1' ";
    $rec = mysqli_query($conn, $sql);
    if($data = mysqli_fetch_assoc($rec))
    {
        $first_char = $data['first_char'];
        $second_char = $data['second_char'];
        $third_char = $data['third_char'];
        $booking_no = $data['booking_no'];

        $booking_no++;

        if($booking_no >= 10000)
        {
            $booking_no = 1;
            $third_char++;

            if($third_char >= 27)
            {
                $third_char = 1;
                $second_char++;
                if($second_char >= 27)
                {
                    $second_char = 1;
                    $first_char++;
                    if($first_char >= 27)
                    {
                        $first_char = 1;
                    }
                }
            }
        }
        $new_booking_no = chr(64 + (int)$first_char).chr(64 + (int)$second_char).chr(64 + (int)$third_char).sprintf('%04d',$booking_no);
    }

    $update_sql = "UPDATE master_booking_no 
                SET `first_char`='$first_char',`second_char`='$second_char',`third_char`='$third_char',`booking_no`='$booking_no' 
                WHERE id = '1' ";
    mysqli_query($conn, $update_sql);

    $update_sql = "UPDATE customer_data 
                SET special_request = '$special_request', updated_by = '$created_by', updated_at = NOW() 
                WHERE id = '$customer_id' ";
    mysqli_query($conn, $update_sql);

    $sql = "SELECT * FROM customer_car_data where vehicle_name = '$vehicle_model' and vehicle_gear_type = '$vehicle_gear_type' AND vehicle_type = '$vehicle_type' AND customer_id = '$customer_id' and status = 'Active' ";
    $rec = mysqli_query($conn, $sql);
    if(!$data = mysqli_fetch_assoc($rec))
    {
        $sql = "INSERT INTO `customer_car_data`( `customer_id`, `vehicle_name`, `vehicle_gear_type`, `vehicle_type`, `created_by`, `status`, `dateTime`) VALUES ('$customer_id','$vehicle_model','$vehicle_gear_type','$vehicle_type','$created_by','Active','$dateTime')";
        mysqli_query($conn, $sql);

        $sql = "INSERT INTO `master_car_data`( `vehicle_model`, `vehicle_type`, `status`, `dateTime`) VALUES ('$vehicle_model','$vehicle_type','Active','$dateTime')";
        mysqli_query($conn, $sql);
    }

    $sql = "INSERT INTO booking_table (`customer_id`, `booking_no`, `booked_for`, `customer_phone`, 
                `customer_request`, `destination_address`, `from_address`, `pickup_area`, `remarks`, 
                `reporting_date`, `vehicle_model`, `vehicle_gear_type`, `vehicle_type`, `no_of_drivers`, 
                `reconfirmation`, `reconfirm_date`, `with_car`, `status`, `created_by`, 
                `booking_type`, `feedback`, `complaint_status`, `created_on`, `updated_on`) 
            VALUES ('$customer_id', '$new_booking_no', '$booked_for', '$customer_no', '$special_request', 
            '$destination_address', '$from_address', '$pickup_area', '$add_remarks', '$reporing_time', 
            '$vehicle_model', '$vehicle_gear_type', '$vehicle_type', '$no_driver', '$reconfirm_check', 
            '$reconfirm_date', '$with_car', '$booking_status', '$created_by',  '$booking_type', 'No', 'No',
            '$dateTime', '$dateTime')";
    mysqli_query($conn, $sql);
    $booking_id = mysqli_insert_id($conn);

    $enc_feed_key = md5($booking_id.'FeED'.$dateTime);
    $sql = "INSERT INTO `feedback_data`( `booking_id`, `feedback_code`, `status`, `created_on`) VALUES ('$booking_id','$enc_feed_key','Active','$dateTime')";
    mysqli_query($conn, $sql);

    $driver_count = 0;
    foreach($driver_ids as $drivers)
    {
        $driver_count++;
        $sql = "INSERT INTO booking_driver_data (`booking_id`, `driver_id`, `blacklist`, `status`, `dateTime`) 
            VALUES ('$booking_id', '$drivers', 'No', 'Active', '$dateTime')";
        mysqli_query($conn, $sql);
    }

    $update_sql = "UPDATE booking_table SET alloted_drivers = '$driver_count' WHERE id = '$booking_id' ";
    mysqli_query($conn, $update_sql);

    $response = ["status" => "Success", "booking_id" => $booking_id, "message" => "Booking created successfully for booking_no: $new_booking_no"];
  
    echo json_encode($response);
    mysqli_close($conn);
?>