<?php
    require_once '../datab.php';
    // require_once '../get_session.php';

    $res = [
        'status' => 'Error',
        'message' => 'Error in Backend'
    ];

    $query = "SELECT bt.id AS booking_id, cd.customer_name, dd.driver_name, bt.booking_no, bt.ordered_by,
                    DATE_FORMAT(bt.reporting_date, '%d-%m-%Y') AS reporting_date, bt.from_address, bt.destination_address,
                    bt.customer_phone, cd.id AS customer_id, dd.id AS driver_id, bt.booking_type
            FROM booking_table bt
            JOIN driver_data dd ON bt.driver_id = dd.id
            JOIN customer_data cd ON bt.customer_id = cd.id
            WHERE bt.status = '1'";

    $sql = mysqli_prepare($conn, $query);
    mysqli_execute($sql);
    $result = mysqli_stmt_get_result($sql);

    $data = [];
    if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            $booking_id = $row['booking_id'];
            $driver_blacklisted = 0;
            $customer_blacklisted = 0;

            $checkDriverBlacklisted = mysqli_prepare($conn, "SELECT 1 FROM blacklisted_driver_data WHERE trip_id = ? AND status = '1'");
            mysqli_stmt_bind_param($checkDriverBlacklisted, 'i', $booking_id);
            mysqli_execute($checkDriverBlacklisted);
            $blacklistResult = mysqli_stmt_get_result($checkDriverBlacklisted);

            if (mysqli_num_rows($blacklistResult) > 0) {
                $driver_blacklisted = 1;
            }

            $row['driver_blacklisted'] = $driver_blacklisted;

            $checkCustomerBlacklisted = mysqli_prepare($conn, "SELECT 1 FROM blacklisted_customer_data WHERE trip_id = ? AND status = '1'");
            mysqli_stmt_bind_param($checkCustomerBlacklisted, 'i', $booking_id);
            mysqli_execute($checkCustomerBlacklisted);
            $blacklistResult = mysqli_stmt_get_result($checkCustomerBlacklisted);

            if (mysqli_num_rows($blacklistResult) > 0) {
                $customer_blacklisted = 1;
            }

            $row['customer_blacklisted'] = $customer_blacklisted;
            $data[] = $row;
            mysqli_stmt_close($checkDriverBlacklisted);
            mysqli_stmt_close($checkCustomerBlacklisted);

        }

        $res['status'] = 'Success';
        $res['message'] = 'Data sent';
        $res['data'] = $data;
    } else {
        $res['status'] = 'Success';
        $res['message'] = 'No data found';
        $res['data'] = [];
    }

    echo json_encode($res);
    mysqli_close($conn);
?>
