<?php
    require_once '../datab.php';
    require_once '../get_session.php';

    $res = [];
    $res['booking_data'] = [];

    $booking_name = mysqli_real_escape_string($conn, $_POST['booking_name']);
    $search_filter = mysqli_real_escape_string($conn, $_POST['search_filter']);

    $search_query = '';
    if($search_filter != '')
    {
        $search_query = " AND (booking_table.booking_no LIKE '%$search_filter%' OR customer_data.customer_name LIKE '%$search_filter%' OR customer_data.wa_no LIKE '%$search_filter%' OR customer_data.alt_no LIKE '%$search_filter%' ) ";
    }

    if($booking_name == 'overall')
    {
        $sql = "SELECT booking_table.status as booking_status, DATE_FORMAT(reporting_date, '%d-%m-%Y %H:%i') AS reporting_date,
                            booking_no, booked_for, customer_phone, booking_type, pickup_area, from_address, destination_address,
                            GROUP_CONCAT(driver_data.driver_name SEPARATOR ', ') AS all_driver_name, booking_table.id as booking_id,
                            CASE 
                                WHEN booking_table.reporting_date BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 1 HOUR) 
                                THEN 'Yes' 
                                ELSE 'No' 
                            END AS is_within_1_hour
                    FROM booking_table 
                    inner join customer_data
                        on customer_data.id = booking_table.customer_id
                    LEFT JOIN booking_driver_data
                        ON booking_driver_data.booking_id = booking_table.id
                            AND booking_driver_data.status = 'Active'
                    LEFT JOIN driver_data
                        on driver_data.id = booking_driver_data.driver_id
                    WHERE ( booking_table.status != 'Cancelled' and booking_table.status != 'Confirmed') 
                        and booking_table.reporting_date > NOW()  
                        $search_query
                    GROUP BY booking_table.id 
                    ORDER BY booking_table.reporting_date ASC ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['booking_data'][] = $data;
        }
    }
    else if($booking_name == 'today')
    {
        $sql = "SELECT booking_table.status as booking_status, DATE_FORMAT(reporting_date, '%d-%m-%Y %H:%i') AS reporting_date,
                            booking_no, booked_for, customer_phone, booking_type, pickup_area, from_address, destination_address,
                            GROUP_CONCAT(driver_data.driver_name SEPARATOR ', ') AS all_driver_name, booking_table.id as booking_id,
                            CASE 
                                WHEN booking_table.reporting_date BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 1 HOUR) 
                                THEN 'Yes' 
                                ELSE 'No' 
                            END AS is_within_1_hour
                    FROM booking_table 
                    inner join customer_data
                        on customer_data.id = booking_table.customer_id
                    LEFT JOIN booking_driver_data
                        ON booking_driver_data.booking_id = booking_table.id
                            AND booking_driver_data.status = 'Active'
                    LEFT JOIN driver_data
                        on driver_data.id = booking_driver_data.driver_id
                    WHERE booking_table.status != 'Cancelled' 
                        and booking_table.reporting_date between NOW() AND DATE_ADD(NOW(), INTERVAL 1 DAY) 
                        $search_query
                    GROUP BY booking_table.id 
                    ORDER BY booking_table.reporting_date ASC ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['booking_data'][] = $data;
        }
    }
    else if($booking_name == 'upcoming')
    {
        $sql = "SELECT booking_table.status as booking_status, DATE_FORMAT(reporting_date, '%d-%m-%Y %H:%i') AS reporting_date,
                            booking_no, booked_for, customer_phone, booking_type, pickup_area, from_address, destination_address,
                            GROUP_CONCAT(driver_data.driver_name SEPARATOR ', ') AS all_driver_name, booking_table.id as booking_id
                    FROM booking_table 
                    inner join customer_data
                        on customer_data.id = booking_table.customer_id
                    LEFT JOIN booking_driver_data
                        ON booking_driver_data.booking_id = booking_table.id
                            AND booking_driver_data.status = 'Active'
                    LEFT JOIN driver_data
                        on driver_data.id = booking_driver_data.driver_id
                    WHERE booking_table.status != 'Cancelled' 
                        and booking_table.reporting_date > DATE_ADD(NOW(), INTERVAL 1 DAY)
                        $search_query 
                    GROUP BY booking_table.id 
                    ORDER BY booking_table.reporting_date ASC ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['booking_data'][] = $data;
        }
    }
    else if($booking_name == 'unconfirmed')
    {
        $sql = "SELECT booking_table.status as booking_status, DATE_FORMAT(reporting_date, '%d-%m-%Y %H:%i') AS reporting_date,
                            booking_no, booked_for, customer_phone, booking_type, pickup_area, from_address, destination_address,
                            GROUP_CONCAT(driver_data.driver_name SEPARATOR ', ') AS all_driver_name, booking_table.id as booking_id
                    FROM booking_table 
                    inner join customer_data
                        on customer_data.id = booking_table.customer_id
                    LEFT JOIN booking_driver_data
                        ON booking_driver_data.booking_id = booking_table.id
                            AND booking_driver_data.status = 'Active'
                    LEFT JOIN driver_data
                        on driver_data.id = booking_driver_data.driver_id
                    WHERE booking_table.status = 'Un-Confirmed' 
                        and booking_table.reporting_date > NOW()
                        $search_query
                    GROUP BY booking_table.id 
                    ORDER BY booking_table.reporting_date ASC ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['booking_data'][] = $data;
        }
    }
    else if($booking_name == 'unassigned')
    {
        $sql = "SELECT booking_table.status as booking_status, DATE_FORMAT(reporting_date, '%d-%m-%Y %H:%i') AS reporting_date,
                            booking_no, booked_for, customer_phone, booking_type, pickup_area, from_address, destination_address,
                            GROUP_CONCAT(driver_data.driver_name SEPARATOR ', ') AS all_driver_name, booking_table.id as booking_id
                    FROM booking_table 
                    inner join customer_data
                        on customer_data.id = booking_table.customer_id
                    LEFT JOIN booking_driver_data
                        ON booking_driver_data.booking_id = booking_table.id
                            AND booking_driver_data.status = 'Active'
                    LEFT JOIN driver_data
                        on driver_data.id = booking_driver_data.driver_id
                    WHERE booking_table.status = 'Un-Assigned' 
                        and booking_table.reporting_date > NOW() 
                        $search_query
                    GROUP BY booking_table.id 
                    ORDER BY booking_table.reporting_date ASC ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['booking_data'][] = $data;
        }
    }
    else if($booking_name == 'uninformed')
    {
        $sql = "SELECT booking_table.status as booking_status, DATE_FORMAT(reporting_date, '%d-%m-%Y %H:%i') AS reporting_date,
                            booking_no, booked_for, customer_phone, booking_type, pickup_area, from_address, destination_address,
                            GROUP_CONCAT(driver_data.driver_name SEPARATOR ', ') AS all_driver_name, booking_table.id as booking_id
                    FROM booking_table 
                    inner join customer_data
                        on customer_data.id = booking_table.customer_id
                    LEFT JOIN booking_driver_data
                        ON booking_driver_data.booking_id = booking_table.id
                            AND booking_driver_data.status = 'Active'
                    LEFT JOIN driver_data
                        on driver_data.id = booking_driver_data.driver_id
                    WHERE booking_table.status = 'Un-Informed' 
                        and booking_table.reporting_date > NOW() 
                        $search_query
                    GROUP BY booking_table.id 
                    ORDER BY booking_table.reporting_date ASC ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['booking_data'][] = $data;
        }
    }
    else if($booking_name == 'cancelled')
    {
        $sql = "SELECT booking_table.status as booking_status, DATE_FORMAT(reporting_date, '%d-%m-%Y %H:%i') AS reporting_date,
                            booking_no, booked_for, customer_phone, booking_type, pickup_area, from_address, destination_address,
                            GROUP_CONCAT(driver_data.driver_name SEPARATOR ', ') AS all_driver_name, booking_table.id as booking_id
                    FROM booking_table 
                    inner join customer_data
                        on customer_data.id = booking_table.customer_id
                    LEFT JOIN booking_driver_data
                        ON booking_driver_data.booking_id = booking_table.id
                            AND booking_driver_data.status = 'Active'
                    LEFT JOIN driver_data
                        on driver_data.id = booking_driver_data.driver_id
                    WHERE booking_table.status = 'Cancelled' 
                        and booking_table.reporting_date > NOW() 
                        $search_query
                    GROUP BY booking_table.id 
                    ORDER BY booking_table.reporting_date ASC ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['booking_data'][] = $data;
        }
    }

    

    
    $res['status'] = 'Success';
    $res['message'] = 'Booking List sent';

    echo json_encode($res);
    mysqli_close($conn);
?>
