<?php
    require_once '../datab.php';
    require_once '../get_session.php';

    $res = [];

    $booking_id = mysqli_real_escape_string($conn, $_POST['booking_id']);

    $sql = "SELECT  `booking_no`, `booked_for`, `customer_phone`, `customer_request`, 
                    `destination_address`, `from_address`, `pickup_area`, booking_table.remarks, 
                    `reporting_date`, `vehicle_model`, `vehicle_gear_type`, `vehicle_type`, 
                    `no_of_drivers`, `reconfirmation`, `reconfirm_date`, 
                    `with_car`,`booking_type`, customer_data.customer_name,
                    star_count, feedback_data.remarks as feedback_remarks,
                    complaint_remark, booking_table.status as booking_status,
                    alloted_drivers, booking_table.id as booking_id,
                    customer_data.id as customer_id,
                    `cancellation_reason`
                FROM `booking_table`
                inner join customer_data
                    on customer_data.id = booking_table.customer_id
                left join feedback_data
                    on feedback_data.booking_id = booking_table.id
                WHERE booking_table.id = '$booking_id' ";
    $rec = mysqli_query($conn, $sql);
    if($data = mysqli_fetch_assoc($rec))
    {
        $dummy = [];
        $booking_no = $data['booking_no'];
        $booking_id = $data['booking_id'];
        $dummy['booking_no'] = $booking_no;
        $dummy['booking_status'] = $data['booking_status'];
        $booked_for = $data['booked_for'];
        $dummy['booked_for'] = $booked_for;
        $customer_phone = $data['customer_phone'];
        $dummy['customer_phone'] = $customer_phone;
        $dummy['customer_request'] = $data['customer_request'];
        $dummy['destination_address'] = $data['destination_address'];
        $dummy['from_address'] = $data['from_address'];
        $dummy['pickup_area'] = $data['pickup_area'];
        $dummy['remarks'] = $data['remarks'];
        $dummy['reporting_date'] = $data['reporting_date'];
        $reporting_date_format = date('d-m-Y H:i', strtotime($data['reporting_date']));
        $dummy['reporting_date_format'] = $reporting_date_format;
        $dummy['vehicle_model'] = $data['vehicle_model'];
        $dummy['vehicle_gear_type'] = $data['vehicle_gear_type'];
        $dummy['vehicle_type'] = $data['vehicle_type'];
        $dummy['no_of_drivers'] = $data['no_of_drivers'];
        $dummy['alloted_drivers'] = $data['alloted_drivers'];
        $dummy['reconfirmation'] = $data['reconfirmation'];
        $dummy['reconfirm_date'] = $data['reconfirm_date'];
        $dummy['reconfirm_date_format'] = date('d-m-Y H:i', strtotime($data['reconfirm_date']));
        $dummy['with_car'] = $data['with_car'];
        $dummy['booking_type'] = $data['booking_type'];
        $dummy['customer_name'] = $data['customer_name'];
        $dummy['star_count'] = $data['star_count'];
        $dummy['feedback_remarks'] = $data['feedback_remarks'];
        $dummy['complaint_remark'] = $data['complaint_remark'];
        $dummy['customer_id'] = $data['customer_id'];
        $dummy['cancellation_reason'] = $data['cancellation_reason'];

        $res['booking_data'] = $dummy;
        $res['driver_data'] = [];

        $driver_info = '';
        $sql = "SELECT driver_data.id as driver_id, driver_data.driver_name, wa_no, alt_no, area
                    FROM booking_driver_data, driver_data 
                    where driver_data.id = booking_driver_data.driver_id
                        and booking_driver_data.status = 'Active' 
                        and booking_driver_data.booking_id = '$booking_id' ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $res['driver_data'][] = $data;

            if($driver_info != '')
            {
                $driver_info .= ', ';
            }
            $driver_name = $data['driver_name'];
            $driver_no = $data['wa_no'];

            $driver_info .= $driver_name.': '.$driver_no;
        }

        $feedback_no = '';
        $sql = "SELECT feedback_code
                    FROM feedback_data 
                    where feedback_data.booking_id = '$booking_id' ";
        $rec = mysqli_query($conn, $sql);
        while($data = mysqli_fetch_assoc($rec))
        {
            $feedback_no = $data['feedback_code'];
        }

        $res['booking_msg'] = 'Your Booking for Acting Driver on '.$reporting_date_format.' is confirmed. Your booking No: '.$booking_no.'. We will share you the driver\'s information once we alot them. Thank for Booking';
        $res['driver_msg'] = 'You have a drive on '.$reporting_date_format.', Customer name: '.$booked_for.' and the contact number is '.$customer_phone;
        $res['customer_msg'] = 'Driver has been alloted for your booking No: '.$booking_no.' and Drive Dated: '.$reporting_date_format.', Your driver details is '.$driver_info.'. After Trip your can provide feedback by clicking the link. '.$domain.'/Feedback/'.$feedback_no;


        $res['status'] = 'Success';
        $res['message'] = 'Booking Data shared.';
    }
    else
    {
        $res['status'] = 'Failed';
        $res['message'] = 'Booking ID not Found';
    }
   
    echo json_encode($res);
?>