<?php
    require_once "../datab.php";
    require_once "../get_session.php";

    $res = [];
    $customers = [];
    $vehicles = [];
    $booking = [];

    $customer_id = mysqli_real_escape_string($conn, $_POST['customer_id']);


    $sql = "SELECT * 
            FROM customer_data 
            WHERE id = '$customer_id'  ";
    $result = mysqli_query($conn, $sql);
    if ($result && mysqli_num_rows($result) > 0) 
    {
        while ($row = mysqli_fetch_assoc($result)) 
        {
            $customer_id = $row['id'];

            $dummy = [];
            $dummy['customer_id'] = 'CUS'.sprintf('%04d',$row['id']);
            $dummy['customer_name'] = $row['customer_name'];
            $dummy['wa_no'] = $row['wa_no'];
            $dummy['alt_no'] = $row['alt_no'];
            $dummy['landline'] = $row['landline'];
            $dummy['address'] = $row['address'];
            $dummy['location'] = $row['location'];
            $dummy['area'] = $row['area'];
            $dummy['special_request'] = $row['special_request'];
            $dummy['customer_status'] = $row['status'];
            $dummy['customer_type'] = $row['customer_type'];
            $dummy['venue_name'] = $row['venue_name'];

            // Fetch vehicles for the current customer
            $get_vehicles = "SELECT * FROM customer_car_data WHERE customer_id = '$customer_id' AND status = 'Active' ";
            $vehicle_result = mysqli_query($conn, $get_vehicles);
            $vehicles = [];
            if ($vehicle_result && mysqli_num_rows($vehicle_result) > 0) {
                while ($vehicle = mysqli_fetch_assoc($vehicle_result)) {
                    $vehicles[] = $vehicle; // Add each vehicle to the vehicles array
                }
            }

            $get_booking = "SELECT booking_table.id as booking_id, booking_no, 
                                    DATE_FORMAT(reporting_date,'%d-%m-%Y %h:%i %p') AS reporting_date, 
                                    booking_table.status as booking_status, booking_type,
                                    DATE_FORMAT(booking_table.created_on,'%d-%m-%Y %h:%i %p') AS created_on,
                                    user_data.user_name as created_by
                                FROM booking_table, user_data
                                WHERE customer_id = '$customer_id' 
                                    and user_data.id = booking_table.created_by
                                order by booking_table.created_on DESC 
                                LIMIT 10 ";
            $vehicle_result = mysqli_query($conn, $get_booking);
            $booking = [];
            if ($vehicle_result && mysqli_num_rows($vehicle_result) > 0) {
                while ($booking_data = mysqli_fetch_assoc($vehicle_result)) {
                    $booking[] = $booking_data; // Add each vehicle to the vehicles array
                }
            }

            $get_preferred_driver = "SELECT driver_data.id as driver_id, driver_name, wa_no, alt_no,
                                    area, CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no
                                FROM preferred_driver_data, driver_data
                                WHERE customer_id = '$customer_id'
                                    and preferred_driver_data.driver_id = driver_data.id
                                    and driver_data.status = 'Active'
                                order by driver_name ASC ";
            $preferred_result = mysqli_query($conn, $get_preferred_driver);
            $preferred = [];
            if ($preferred_result && mysqli_num_rows($preferred_result) > 0) {
                while ($preferred_data = mysqli_fetch_assoc($preferred_result)) {
                    $preferred[] = $preferred_data; // Add each vehicle to the vehicles array
                }
            }

            $get_blacklisted_driver = "SELECT driver_data.id as driver_id, driver_name,
                                    CONCAT('DRI', LPAD(driver_data.id, 4, '0')) as driver_ref_no,
                                    DATE_FORMAT(blacklisted_driver_data.dateTime,'%d-%m-%Y %h:%i %p') as blacklisted_date,
                                    user_data.user_name as blacklisted_by, booking_table.booking_no, 
                                    booking_table.id as booking_id, blacklisted_driver_data.reason
                                FROM blacklisted_driver_data, driver_data, user_data, booking_table
                                WHERE blacklisted_driver_data.customer_id = '$customer_id'
                                    and blacklisted_driver_data.driver_id = driver_data.id
                                    and driver_data.status = 'Active'
                                    and blacklisted_driver_data.status = 'Active'
                                    and user_data.id = blacklisted_driver_data.created_by
                                    and booking_table.id = blacklisted_driver_data.booking_id
                                order by driver_name ASC ";
            $blacklisted_result = mysqli_query($conn, $get_blacklisted_driver);
            $blacklisted = [];
            if ($blacklisted_result && mysqli_num_rows($blacklisted_result) > 0) {
                while ($blacklisted_data = mysqli_fetch_assoc($blacklisted_result)) {
                    $blacklisted[] = $blacklisted_data; // Add each vehicle to the vehicles array
                }
            }
        }
        
        $res['status'] = 'Success';
        $res['customer_data'] = $dummy;
        $res['vehicle_data'] = $vehicles;
        $res['booking_data'] = $booking;
        $res['preferred_driver_data'] = $preferred;
        $res['blacklisted_driver_data'] = $blacklisted;
    } else {
        $res['status'] = 'Error';
        $res['message'] = 'No customers found.';
    }

    mysqli_close($conn);
    echo json_encode($res);
?>
