<?php
    require_once "../datab.php";
    require_once "../get_session.php";

    $res = [];
    $customers = [];

    $current_page = isset($_POST['search']) ? mysqli_real_escape_string($conn, $_POST['current_page']) : '';
    $search = isset($_POST['search']) ? mysqli_real_escape_string($conn, $_POST['search']) : '';

    $records_to_show = 10;
    $total_page_count = 0;
    $start_record = (intval($current_page) - 1) * $records_to_show;

    $whereClause = "WHERE status = 'Active' ";
    if (!empty($search)) {
        $whereClause .= " AND (customer_name LIKE '%$search%' OR wa_no LIKE '%$search%' OR alt_no LIKE '%$search%' OR area LIKE '%$search%' or CONCAT('CUS', LPAD(id, 4, '0')) LIKE '%$search%' )";
    }

    $count_sql = "SELECT * FROM customer_data $whereClause";
    $count_result = mysqli_query($conn, $count_sql);
    $total_page_count = ceil(mysqli_num_rows($count_result) / $records_to_show);

    $sql = "SELECT *
            FROM customer_data $whereClause 
            LIMIT $start_record, $records_to_show";
    $result = mysqli_query($conn, $sql);
    if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            $dummy = [];
            $dummy['id'] = $row['id'];
            $dummy['customer_id'] = 'CUS'.sprintf('%04d', $row['id']);
            $dummy['customer_name'] = $row['customer_name'];
            $dummy['wa_no'] = $row['wa_no'];
            $dummy['alt_no'] = $row['alt_no'];
            $dummy['area'] = $row['area'];
            $customers[] = $dummy;
        }
        
        $res['status'] = 'Success';
        $res['data'] = $customers;
        $res['total_page_count'] = $total_page_count;
    } else {
        $res['status'] = 'Error';
        $res['message'] = 'No customers found.';
    }

    mysqli_close($conn);
    echo json_encode($res);
?>
