<?php
require_once '../datab.php';
require_once "../get_session.php"; // Assuming this sets up session info like $created_by

try {
    
    // Start transaction
    mysqli_begin_transaction($conn);

    // Fetch driver ID from POST data
    $driver_id = mysqli_real_escape_string($conn, $_POST['driver_id']);

    // Assuming you have more driver details coming from the POST data
    
    $whatsapp_no = mysqli_real_escape_string($conn, $_POST['whatsapp_no']);
    $alternate_no = mysqli_real_escape_string($conn, $_POST['alternate_no']);
    $upi_no = mysqli_real_escape_string($conn, $_POST['upi_no']);
    $cur_add = mysqli_real_escape_string($conn, $_POST['current_address']);
    $perm_add = mysqli_real_escape_string($conn, $_POST['permanent_address']);
    $area = mysqli_real_escape_string($conn, $_POST['area']);
    $driver_type = mysqli_real_escape_string($conn, $_POST['driver_type']);
    $blood_group = mysqli_real_escape_string($conn, $_POST['blood_group']);
    $licence_no = mysqli_real_escape_string($conn, $_POST['license_no']);
    $date_of_issue = mysqli_real_escape_string($conn, $_POST['license_issue_date']);
    $date_of_expiry = mysqli_real_escape_string($conn, $_POST['license_expiry']);
    $licence_type = mysqli_real_escape_string($conn, $_POST['license_type']);
    $relation_name = mysqli_real_escape_string($conn, $_POST['emergency_name']);
    $mob_no = mysqli_real_escape_string($conn, $_POST['emergency_no']);
    $relation = mysqli_real_escape_string($conn, $_POST['emergency_relation']);
    $updated_on = date('Y-m-d H:i:s'); // Current timestamp for updating

    // SQL update statement
    $sql = "UPDATE driver_data 
            SET 
                wa_no = '$whatsapp_no', 
                alt_no = '$alternate_no', 
                upi_no = '$upi_no', 
                current_address = '$cur_add', 
                permanent_address = '$perm_add', 
                area = '$area', 
                driver_type = '$driver_type', 
                blood_group = '$blood_group', 
                license_no = '$licence_no', 
                license_issue_date = '$date_of_issue', 
                license_expiry = '$date_of_expiry', 
                license_type = '$licence_type', 
                emergency_name = '$relation_name', 
                emergency_no = '$mob_no', 
                emergency_relation = '$relation', 
                updated_by = '$created_by', 
                updated_on = '$updated_on' 
            WHERE id = '$driver_id' ";

    // Execute the SQL query
    if (!mysqli_query($conn, $sql)) {
        throw new Exception("Update failed: " . mysqli_error($conn));
    }

    // Commit the transaction
    mysqli_commit($conn);

    echo json_encode(["status" => "Success", "message" => "Driver data updated successfully."]);
} catch (Exception $e) {
    // Rollback the transaction in case of error
    mysqli_rollback($conn);
    echo json_encode(["status" => "Error", "message" => "Update failed: " . $e->getMessage()]);
} finally {
    mysqli_close($conn); // Close the database connection
}
?>
