<?php
    require_once '../datab.php'; 
    require_once '../get_session.php'; 

    $res = [];

    $driver_id = mysqli_real_escape_string($conn, $_POST['driver_id']);

    $sql = mysqli_query($conn, "SELECT * FROM driver_data WHERE id = '$driver_id'");

    if ($sql) {
        $result = mysqli_fetch_assoc($sql);
        if ($result) {
            $dummy = [];
            $dummy['driver_id'] = 'DRI'.sprintf('%04d',$result['id']);
            $dummy['driver_name'] = $result['driver_name'];
            $dummy['wa_no'] = $result['wa_no'];
            $dummy['alt_no'] = $result['alt_no'];
            $dummy['upi_no'] = $result['upi_no'];
            $dummy['current_address'] = $result['current_address'];
            $dummy['permanent_address'] = $result['permanent_address'];
            $dummy['area'] = $result['area'];
            $dummy['aadhaar'] = $result['aadhaar'];
            $dummy['driver_type'] = $result['driver_type'];
            $dummy['driver_category'] = $result['driver_category'];
            $dummy['blood_group'] = $result['blood_group'];
            $dummy['doj'] = date('jS M, Y', strtotime($result['doj']));
            $dummy['ref_by'] = $result['ref_by'];
            $dummy['license_no'] = $result['license_no'];
            $dummy['license_issue_date'] = date('jS M, Y', strtotime($result['license_issue_date']));
            $dummy['crt_license_issue_date'] = $result['license_issue_date'];
            $dummy['license_expiry'] = date('jS M, Y', strtotime($result['license_expiry']));
            $dummy['crt_license_expiry'] = $result['license_expiry'];
            $dummy['license_type'] = $result['license_type'];
            $dummy['driver_status'] = $result['status'];
            $dummy['photo'] = $domain.$result['photo'];
            $dummy['license_proof'] = $domain.$result['license_proof'];
            $dummy['aadhaar_proof'] = $domain.$result['aadhaar_proof'];
            $dummy['current_address_proof'] = $domain.$result['current_address_proof'];
            $dummy['permanent_address_proof'] = $domain.$result['permanent_address_proof'];
            $dummy['suspended_reason'] = $result['suspended_reason'];

            if($result['license_type_exp'] == '0000-00-00')
            {
                $dummy['license_type_exp'] = '-';
            }
            else
            {
                $dummy['license_type_exp'] = date('jS M, Y', strtotime($result['license_type_exp'])); 
            }
            $dummy['crt_license_type_exp'] = $result['license_type_exp'];
            
            $dummy['emergency_name'] = $result['emergency_name'];
            $dummy['emergency_no'] = $result['emergency_no'];
            $dummy['emergency_relation'] = $result['emergency_relation'];
            $dummy['subscription_type'] = $result['subscription_type'];

            $res['driver_info'] = $dummy;

            $res['subscription'] = [];
            $sql = "SELECT driver_subscription_data.subscription_type, driver_subscription_data.payment_mode, 
                                DATE_FORMAT(driver_subscription_data.payment_date, '%d-%m-%Y') AS payment_date, 
                                driver_subscription_data.remarks, 
                                DATE_FORMAT(driver_subscription_data.expiry_date, '%d-%m-%Y') AS expiry_date, 
                                user_data.user_name,
                                DATE_FORMAT(driver_subscription_data.dateTime, '%d-%m-%Y %h:%i %p') AS updated_on,
                                driver_subscription_data.status as payment_status,
                                DATE_FORMAT(driver_subscription_data.dateTime, '%b, %Y') AS payment_month,
                                driver_subscription_data.id as payment_id
                        FROM driver_subscription_data
                        left join user_data 
                            on user_data.id = driver_subscription_data.created_by
                        WHERE driver_subscription_data.driver_id = '$driver_id'                            
                            and (driver_subscription_data.status = 'Paid' OR driver_subscription_data.status = 'Un-Paid')
                        order by driver_subscription_data.dateTime DESC ";
            $rec = mysqli_query($conn, $sql);
            while($data = mysqli_fetch_assoc($rec))
            {
                $res['subscription'][] = $data;
            }
            
            $res['blacklisted_customer_data'] = [];

            $sql = "SELECT customer_data.id as customer_id, customer_name,
                            CONCAT('CUS', LPAD(customer_data.id, 4, '0')) as customer_ref_no,
                            DATE_FORMAT(blacklisted_customer_data.dateTime,'%d-%m-%Y %H:%i') as blacklisted_date,
                            user_data.user_name as blacklisted_by, booking_table.booking_no, 
                            booking_table.id as booking_id, blacklisted_customer_data.reason
                        FROM blacklisted_customer_data, customer_data, user_data, booking_table
                        WHERE blacklisted_customer_data.driver_id = '$driver_id'
                            and blacklisted_customer_data.driver_id = customer_data.id
                            and customer_data.status = 'Active'
                            and blacklisted_customer_data.status = 'Active'
                            and user_data.id = blacklisted_customer_data.created_by
                            and booking_table.id = blacklisted_customer_data.booking_id
                        order by customer_name ASC ";
            $rec = mysqli_query($conn, $sql);
            while($data = mysqli_fetch_assoc($rec))
            {
                $res['blacklisted_customer_data'][] = $data;
            }

            $res['status'] = 'Success';
            $res['message'] = 'Driver Information Sent.';
            
            
        } else {
            $res['status'] = 'No Driver';
            $res['message'] = 'Driver not Found.';
        }
    } else {
        $res['status'] = 'Error';
        $res['message'] = 'Error with the backend.';
    }

    echo json_encode($res);
?>
