<?php
require_once '../datab.php';

$res = [];
$drivers = [];

$search = isset($_POST['search']) ? mysqli_real_escape_string($conn, $_POST['search']) : '';
$current_page = isset($_POST['search']) ? mysqli_real_escape_string($conn, $_POST['current_page']) : '';
$driver_status = isset($_POST['driver_status']) ? mysqli_real_escape_string($conn, $_POST['driver_status']) : '';
$whereClause = "";

$records_to_show = 10;
$total_page_count = 0;
$start_record = (intval($current_page) - 1) * $records_to_show;

if (!empty($search)) {
    $whereClause = " AND (driver_name LIKE '%$search%' OR wa_no LIKE '%$search%' OR alt_no LIKE '%$search%' or CONCAT('DRI', LPAD(driver_data.id, 4, '0')) LIKE '%$search%') ";
}

if($driver_status == 'Active')
{
    $status = 'Active';
}
else
{
    $status = 'Suspended';
}

$sql = "SELECT * FROM driver_data WHERE status = '$status'  $whereClause ";
$result = mysqli_query($conn, $sql);
$total_page_count = ceil(mysqli_num_rows($result) / $records_to_show);

$sql = "SELECT id as driver_id, driver_name, DATE_FORMAT(expiry_date, '%d-%m-%Y') as expiry_date_crt_format,
                wa_no, alt_no, status, driver_category
            FROM driver_data 
            WHERE status = '$status' 
                $whereClause 
            ORDER BY expiry_date DESC 
            limit $start_record, $records_to_show ";

$result = mysqli_query($conn, $sql);


if ($result && mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) 
    {
        $dummy = [];
        $dummy['id'] = $row['driver_id'];
        $dummy['driver_id'] = 'DRI'.sprintf('%04d', $row['driver_id']);
        $dummy['driver_name'] = $row['driver_name'];
        $dummy['expiry_date_crt_format'] = $row['expiry_date_crt_format'];
        $dummy['wa_no'] = $row['wa_no'];
        $dummy['alt_no'] = $row['alt_no'];
        $dummy['status'] = $row['status'];
        $dummy['driver_category'] = $row['driver_category'];
        $drivers[] = $dummy;
    }

    $res["status"] = "Success";
    $res["data"] = $drivers;
    
    $res["message"] = "Drivers List Sent.";
} else {
    $res["status"] = "Error";
    $res["message"] = "No drivers found.";
}

$res['total_page_count'] = $total_page_count;

mysqli_close($conn);

echo json_encode($res);
