<?php
    require_once '../datab.php';
    // require_once '../jwt_validation.php';

    // $jwtValidationResponse = validateJwt();
    // if ($jwtValidationResponse['status'] !== 'Success') {
    //     echo json_encode($jwtValidationResponse);
    //     exit();
    // }

    $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
    $limit = isset($_GET['limit']) ? (int)$_GET['limit'] : 10;
    $search = isset($_GET['search']) ? mysqli_real_escape_string($conn, $_GET['search']) : '';

    $start = ($page - 1) * $limit;

    $currentDate = date('Y-m-d');
    $oneMonthLater = date('Y-m-d', strtotime('+1 month'));
    $oneweekLater = date('Y-m-d', strtotime('+1 week'));

    $whereClause = "WHERE status = '1'";

    if (!empty($search)) {
        $whereClause .= " AND (driver_name LIKE '%$search%' OR mobile_no LIKE '%$search%' OR vehicle_no LIKE '%$search%')";
    }

    // Count total records for pagination
    $countSql = "SELECT COUNT(*) AS total_records FROM driver_data $whereClause";
    $countResult = mysqli_query($conn, $countSql);
    $totalRecords = mysqli_fetch_assoc($countResult)['total_records'];

    $totalPages = ceil($totalRecords / $limit);

    // Main query: Select drivers whose licenses expire within one month from today or have already expired
    $sql = "SELECT driver_name, license_no, DATE_FORMAT(license_expiry, '%d-%m-%Y') AS license_expiry, id AS driver_id,
                   CASE 
                       WHEN license_expiry < '$currentDate' THEN 'red'
                       WHEN license_expiry BETWEEN '$currentDate' AND '$oneMonthLater' THEN 'green'
                       WHEN license_expiry BETWEEN '$currentDate' AND '$oneweekLater' THEN 'yellow'
                       ELSE 'green' 
                   END AS status_color,
                   CASE 
                       WHEN license_expiry < '$currentDate' THEN 'expired'
                       WHEN license_expiry BETWEEN '$currentDate' AND '$oneMonthLater' THEN 'expiring soon'
                       WHEN license_expiry BETWEEN '$currentDate' AND '$oneweekLater' THEN 'expiring this week'
                       ELSE '' 
                   END AS expiry_status
            FROM driver_data
            $whereClause
            AND (license_expiry <= '$oneMonthLater')
            ORDER BY license_expiry ASC
            LIMIT $start, $limit";

    $result = mysqli_query($conn, $sql);
    $drivers = [];

    if ($result && mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            $drivers[] = $row;
        }

        echo json_encode([
            "status" => "Success",
            "data" => $drivers,
            "pagination" => [
                "total_records" => $totalRecords,
                "total_pages" => $totalPages,
                "current_page" => $page
            ]
        ]);
    } else {
        echo json_encode(["status" => "Error", "message" => "No drivers found."]);
    }

    mysqli_close($conn);
?>
