<?php
    require_once '../datab.php';
    require_once '../get_session.php';
    $res = [];
    $booking_id = mysqli_real_escape_string($conn, $_POST['booking_id']);
    $dateTime = date("Y-m-d H:i:s"); // Assuming `$dateTime` is the current date and time

    function generateLinkCode($booking_id) {
        $characters = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $randomString = '';
        
        for ($i = 0; $i < 6; $i++) {
            $index = rand(0, strlen($characters) - 1);
            $randomString .= $characters[$index];
        }

        return $randomString . $booking_id;
    }

    // Check if the booking ID already has feedback data
    $checkExist = mysqli_query($conn, "SELECT * FROM feedback_data WHERE booking_id = '$booking_id'");

    if (mysqli_num_rows($checkExist) == 0) {
        // Generate a unique feedback code
        do {
            $code = generateLinkCode($booking_id);
            $checkStringExists = mysqli_query($conn, "SELECT * FROM feedback_data WHERE feedback_code = '$code'");
        } while (mysqli_num_rows($checkStringExists) > 0);
    
        // Insert the new feedback data
        $insertIntoFeedBack = mysqli_query($conn, "INSERT INTO feedback_data (`booking_id`, `feedback_code`, `created_on`, `status`) VALUES ('$booking_id', '$code', '$dateTime', '1')");
    
        if ($insertIntoFeedBack) {
            $encParam = 'feedback_code=' . $code;
            $encodedParam = base64_encode($encParam);
        
            // Define the domain and construct the link
            $domain = 'https://yourdomain.com'; // Replace with your actual domain
            $res['link'] = $domain . '/feedback.php?' . $encodedParam;
            $res['status'] = 'Success';
            $res['remarks'] = "Feedback code generated and inserted successfully.";
        } else {
            $res['status'] = 'Error';
            $res['remarks'] = "Error inserting feedback code: " . mysqli_error($conn);   
        }
    } else {
        // Fetch the existing feedback code
        $existingData = mysqli_fetch_assoc($checkExist);
        $existingCode = $existingData['feedback_code'];
        
        // Encode the existing feedback code in the link
        $encParam = 'feedback_code=' . $existingCode;
        $encodedParam = base64_encode($encParam);

        // Construct the link with the existing feedback code
        $res['link'] = $domain . '/feedback.php?' . $encodedParam;
        $res['status'] = 'Success';
        $res['remarks'] = "Feedback already exists for this booking ID.";
    }

    // Output the JSON response
    echo json_encode($res);
?>
