<?php
    require_once '../datab.php';
    // require_once '../get_session.php';

    $response = [];

    $sql = mysqli_query($conn, "SELECT (fd.id) feedback_id, (bd.id) booking_id, GROUP_CONCAT(dd.driver_name SEPARATOR ', ') AS driver_name,
                                                cd.customer_name, fd.star_count, fd.remarks, DATE_FORMAT(fd.updated_on, '%d-%m-%Y %H:%i') AS updated_on, 
                                                bd.booking_no, bd.booking_type, dd.id as driver_id, cd.id as customer_id
                                                FROM feedback_data fd 
                                                INNER JOIN booking_table bd 
                                                    ON fd.booking_id = bd.id
                                                INNER join booking_driver_data as bdd 
                                                    on bdd.booking_id = bd.id
                                                        and bdd.status = 'Active'
                                                INNER JOIN driver_data dd 
                                                    ON bdd.driver_id = dd.id
                                                INNER JOIN customer_data cd 
                                                    ON bd.customer_id = cd.id
                                                WHERE fd.status != 'Cancelled' AND fd.star_count > 0
                                                GROUP BY bd.id 
                                                ORDER BY fd.updated_on desc");
    if ($sql) {
        if (mysqli_num_rows($sql) > 0) {
            while ($row = mysqli_fetch_assoc($sql)) {
                $response[] = $row;
            }
            echo json_encode(['status' => 'Success', 'data' => $response]);
        } else {
            echo json_encode(['status' => 'No Record', 'data' => [], 'message' => 'No feedback found.']);
        }
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Error executing query: ' . mysqli_error($conn)]);
    }

    mysqli_close($conn);
?>