<?php
    require_once '../datab.php';

    $feedback_id = mysqli_real_escape_string($conn, $_POST['feedback_id']);
    $star_count = mysqli_real_escape_string($conn, $_POST['star_count']);
    $remarks = mysqli_real_escape_string($conn, $_POST['remarks']);
    
    // Check if `star_count` is within the valid range (1 to 5)
    if ($star_count < 1 || $star_count > 5) {
        echo json_encode([
            "status" => "Error",
            "remarks" => "Invalid star count. Please provide a value between 1 and 5."
        ]);
        exit;
    }

    $sql = "SELECT * FROM feedback_data where feedback_code = '$feedback_id' ";
    $rec = mysqli_query($conn, $sql);
    if($data = mysqli_fetch_assoc($rec))
    {
        $booking_id = $data['booking_id'];
    }

    // Prepare and execute the update statement
    $stmt = $conn->prepare("UPDATE feedback_data SET star_count = ?, remarks = ?, updated_on = ? WHERE feedback_code = ?");
    $stmt->bind_param("isss", $star_count, $remarks, $dateTime, $feedback_id);

    if ($stmt->execute()) {
        if ($stmt->affected_rows > 0) {

            $sql = "UPDATE booking_table SET feedback = 'Yes' WHERE id = '$booking_id'";
            mysqli_query($conn, $sql);

            // Successful update with changes made
            echo json_encode([
                "status" => "Success",
                "remarks" => "Feedback updated successfully."
            ]);
        } else {
            // No changes were made, likely because data is identical or `feedback_code` not found
            echo json_encode([
                "status" => "No Change",
                "remarks" => "Invalid Feedback URL."
            ]);
        }
    } else {
        // Execution failed
        echo json_encode([
            "status" => "Error",
            "remarks" => "Error updating feedback: " . $stmt->error
        ]);
    }

    // Close statement and connection
    $stmt->close();
    $conn->close();
?>
