<?php
    define('SECRET_KEY_FILE', 'secret_key.txt');

    function generateSecretKey() {
        return bin2hex(random_bytes(32));
    }

    function getCurrentMonthKey() {
        return date('Y-m');
    }

    function storeSecretKey($key) {
        $data = [
            'month' => getCurrentMonthKey(),
            'key' => $key
        ];
        file_put_contents(SECRET_KEY_FILE, json_encode($data));
    }

    function getStoredSecretKey() {
        if (file_exists(SECRET_KEY_FILE)) {
            $data = json_decode(file_get_contents(SECRET_KEY_FILE), true);
            if ($data['month'] === getCurrentMonthKey()) {
                return $data['key'];
            }
        }
        return null; 
    }

    function getSecretKey() {
        $key = getStoredSecretKey();
        if (!$key) {
            $key = generateSecretKey();
            storeSecretKey($key); 
        }
        return $key;
    }

    $secretKey = getSecretKey();
    echo "Current month's secret key: " . $secretKey;
?>
