<?php
    require_once '../datab.php';
    $created_by = 1;
    $res = [];

    $driver_id = mysqli_real_escape_string($conn, $_POST['driver_id']);
    $driver_category = mysqli_real_escape_string($conn, $_POST['driver_category']);
    $dop = mysqli_real_escape_string($conn, $_POST['payment_date']);
    $paymentRemarks = mysqli_real_escape_string($conn, $_POST['paymentRemarks']);
    $subscription_type = mysqli_real_escape_string($conn, $_POST['subscription_type']);

    $subsciption_months_string = json_decode($_POST['subsciption_months_string'], true);

    if($subscription_type == 'Monthly')
    {
        $current_exp_date = $today_date;
        $sql = "SELECT * FROM driver_data where id = '$driver_id' ";
        $rec = mysqli_query($conn, $sql);
        if($data = mysqli_fetch_assoc($rec))
        {
            $current_exp_date = $data['expiry_date'];
        }

        if($current_exp_date <= $dop)
        {
            $expiry_date = date('Y-m-d', strtotime($dop . ' +1 month'));
        }
        else
        {
            $expiry_date = date('Y-m-d', strtotime($current_exp_date . ' +1 month'));
        }

        $stmt = $conn->prepare("UPDATE `driver_data` SET `driver_category` = ?, `subscription` = ?, `last_sub_date` = ?, `expiry_date` = ? WHERE `id` = ?");
        if ($stmt === false) {
            die('Prepare failed: ' . $conn->error);
        }

        $sub = 'Active';
        $stmt->bind_param('ssssi', $driver_category, $sub, $dop, $expiry_date, $driver_id);

        if ($stmt->execute()) {

            $dateTime = date('Y-m-d H:i:s');

            $insert_history = $conn->prepare("INSERT INTO driver_subscription_data (driver_id, subscription_type, payment_date, remarks, expiry_date, created_by, status, dateTime) 
                                            VALUES (?, ?, ?, ?, ?, ?, ?, ?)");
            if ($insert_history === false) {
                $res = ["status" => "Error", "message" => "Prepare failed: " . $conn->error];
            }

            $status = 'Paid';
            $insert_history->bind_param('isssssss', $driver_id, $driver_category, $dop, $paymentRemarks, $expiry_date, $created_by, $status, $dateTime);

            if ($insert_history->execute()) {
                $res = ["status" => "Success", "message" => "Subscription updated successfully"];
            } else {
                $res = ["status" => "Error", "message" => "Error inserting subscription history: " . $insert_history->error];
            }

            $insert_history->close();

        } else {
            $res = ["status" => "Error", "message" => "Error updating driver data: " . $stmt->error];
        }
        
        $stmt->close();
    }
    else
    {
        foreach($subsciption_months_string as $subsciption_months)
        {
            $sql = "UPDATE driver_subscription_data SET payment_date = '$dop', remarks = '$paymentRemarks', created_by = '$created_by', status = 'Paid' where id = '$subsciption_months' ";
            mysqli_query($conn, $sql);
        }

        $res = ["status" => "Success", "message" => "Subscription updated successfully"];
    }


    $conn->close();

    echo json_encode($res);
?>
