<?php
require_once "path.php";
?>
<!DOCTYPE html>
<html lang="en" dir="ltr" data-bs-theme="light" data-color-theme="Blue_Theme" data-layout="horizontal">

<head>
  <!-- Required meta tags -->
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Favicon icon-->
  <link rel="shortcut icon" type="image/png" href="<?php echo $main_path; ?>images/favicon.png">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.css" integrity="sha512-3pIirOrwegjM6erE5gPSwkUzO+3cTjpnV9lexlNZqvupR64iZBnOOTiiLPb9M36zpMScbmUNIcHUqKD47M719g==" crossorigin="anonymous" referrerpolicy="no-referrer" />

  <!-- Core Css -->
  <link rel="stylesheet" href="<?php echo $main_path; ?>css/styles.css">

  <title>Feedback Form</title>
  <style>
    .form-control {
      display: block;
      width: 100%;
      padding: 8px 16px;
      font-size: .9375rem;
      font-weight: 400;
      line-height: 1.5;
      color: #7f8690;
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      background-color: transparent;
      background-clip: padding-box;
      border: var(--bs-border-width) solid #8e9197 !important;
      border-radius: 7px;
      box-shadow: var(--bs-box-shadow-inset);
      transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

    /* Styles for outlined and filled stars */
    /* CSS for filled and empty star icons */
    .empty-star {
      color: #ccc;
      /* Grey or default color for unselected stars */
    }

    .filled-star {
      color: #FFD700;
      /* Gold color for selected stars */
    }
  </style>
</head>

<body>

  <!-- Preloader -->

  <!--  Sidebar End -->
  <div class="card d-none" id="feedback_div" style="height:100vh;">
    <div class="card-body d-flex justify-content-center">
      <div class="col-lg-8 ">
        <div class="card">
          <div class="card-body">
            <h2 class="mb-5 fw-bolder text-center fs-10">Provide your Feedback</h2>
            <div class="row mt-5 d-flex justify-content-center">
              <div class="col-12">
                <label class="mb-3" for="rating" style="color: #100c08; font-weight: 500;">Feedback Rating</label>
                <div class="d-flex align-items-center gap-8 pb-4">
                  <!-- Star Icons HTML -->
                  <ul class="list-unstyled d-flex align-items-center gap-2 mb-0" id="ratingStars">
                    <li><a href="javascript:void(0)" data-value="1" class="star"><i class="fas fa-star empty-star fs-8"></i></a></li>
                    <li><a href="javascript:void(0)" data-value="2" class="star"><i class="fas fa-star empty-star fs-8"></i></a></li>
                    <li><a href="javascript:void(0)" data-value="3" class="star"><i class="fas fa-star empty-star fs-8"></i></a></li>
                    <li><a href="javascript:void(0)" data-value="4" class="star"><i class="fas fa-star empty-star fs-8"></i></a></li>
                    <li><a href="javascript:void(0)" data-value="5" class="star"><i class="fas fa-star empty-star fs-8"></i></a></li>
                  </ul>

                </div>
              </div>
            </div>
            <div class="row mt-4 d-flex justify-content-center">
              <div class="col-12">
                <label for="remarks" style="color: #100c08; font-weight: 500;">Remarks</label>
                <textarea type="text" class="form-control mt-2" id="remarks" rows="4"></textarea>
              </div>
            </div>
            <div class="row mt-5">
              <div class="col-lg-12 text-center">
                <button class="btn btn-primary" id="create_feedback">Submit</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <script src="<?php echo $main_path; ?>js/vendor.min.js"></script>
  <!-- Import Js Files -->
  <script src="<?php echo $main_path; ?>js/bootstrap.bundle.min.js"></script>
  <script src="<?php echo $main_path; ?>js/simplebar.min.js"></script>
  <script src="<?php echo $main_path; ?>js/app.horizontal.init.js"></script>
  <script src="<?php echo $main_path; ?>js/theme.js"></script>
  <script src="<?php echo $main_path; ?>js/app.min.js"></script>
  <script src="<?php echo $main_path; ?>js/sidebarmenu.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

  <!-- solar icons -->
  <script src="<?php echo $main_path; ?>js/iconify-icon.min.js"></script>
  <script>
    $(document).ready(function() {
      // ************Show drivers list in dropdown**********




      //*************CREATING FEEDBACK FORM************/
      let rating = 0;

      // Update rating on star click
      // JavaScript: Update rating on star click
      $('#ratingStars li a').on('click', function() {
        rating = $(this).data('value'); // Store the clicked star's value as the rating

        // Reset all stars to empty
        $('#ratingStars li a i').removeClass('filled-star').addClass('empty-star');

        // Fill stars up to the clicked one
        $('#ratingStars li a').each(function() {
          if ($(this).data('value') <= rating) {
            $(this).find('i').removeClass('empty-star').addClass('filled-star');
          }
        });

        console.log("Selected rating: " + rating); // For debugging
      });

      function getIdFromUrl() {
          path = window['location']['pathname'].split("/");
          
          if(path['<?php echo $path_length-2; ?>'] != 'Feedback')
          {
            toastr.error('Invalid URL');
          }
          else
          {
            window.feedback_id = path['<?php echo $path_length-1; ?>'];
          }
        }

        getIdFromUrl();

        function checkFeedback()
        {
          var fd = new FormData();

          fd.append('feedback_id', feedback_id);

          $.ajax({
            url: "<?php echo $main_path; ?>api/feedback/check_feedback.php",
            data: fd,
            contentType: false,
            processData: false,
            type: "post",
            success: function(response) {
              console.log(response);
              
              var result = JSON.parse(response);

              if (result.status == 'Success') 
              {
                $('#feedback_div').removeClass('d-none');
              } else {
                $('body').html('<div class="d-flex text-center align-items-center justify-content-center" style="height:100vh;font-weight:800;font-size:20px;">Feedback Link is either Invalid or Already Submitted.</div>');
              }
            },
            error: function(xhr) {
              var result = JSON.parse(xhr.responseText);
              var message = result.remarks;
              toastr.error(message || 'An error occurred');
            }
          });
        
        }

        checkFeedback()


      // Submit feedback
      $('#create_feedback').click(function() {
        // var driver_name_select = $('#driver_name_select').val();
        var remarks = $('#remarks').val();

        console.log('1');
        

        if (rating === 0) {
          toastr.error('Please provide a rating');
        } else if (!remarks) {
          toastr.error('Remarks is required');
        } else {
          var fd = new FormData();

          fd.append('star_count', parseInt(rating)); // Include rating in form data
          fd.append('remarks', remarks);
          fd.append('feedback_id', feedback_id);

          $.ajax({
            url: "<?php echo $main_path; ?>api/feedback/feedback_update.php",
            data: fd,
            contentType: false,
            processData: false,
            type: "post",
            success: function(response) {
              console.log(response);
              var result = JSON.parse(response);

              if (result.status === 'Success') {
                toastr.success(result.remarks);
                $('body').html('<div class="d-flex text-center align-items-center justify-content-center" style="height:100vh;font-weight:800;font-size:20px;">Your Feedback is Submitted, Thanks.</div>');
              } else {
                toastr.error(result.remarks || 'Not found');
              }
            },
            error: function(xhr) {
              var result = JSON.parse(xhr.responseText);
              var message = result.remarks;
              toastr.error(message || 'An error occurred');
            }
          });
        }
      });

    })
  </script>


</body>

</html>