<?php

    require('fpdf185/fpdf.php');
    require('api/datab.php');

    if(isset($_GET['trip_id']))
    {
        $trip_id = $_GET['trip_id'];    

        $sql = "SELECT booking_table.booking_no, booking_table.booked_for, booking_table.from_address, 
                        booking_table.reporting_date, booking_table.customer_phone,
                        GROUP_CONCAT(DISTINCT driver_data.driver_name ORDER BY driver_name ASC SEPARATOR ', ') as driver_names,
                        customer_data.customer_name, booking_table.created_on as booking_date
                        FROM booking_table, booking_driver_data, driver_data, customer_data
                        WHERE booking_table.id = '$trip_id' 
                            and booking_table.status = 'Confirmed'
                            and booking_table.id = booking_driver_data.booking_id
                            and booking_driver_data.status = 'Active'
                            and booking_driver_data.driver_id = driver_data.id
                            and customer_data.id = booking_table.customer_id  ";
        $rec = mysqli_query($conn, $sql);
        if($data = mysqli_fetch_assoc($rec))
        {

            class PDF extends FPDF
            {
            // Page header
                function Header()
                {

                }

                // Page footer
                function Footer()
                {

                }
            }

            $pdf = new PDF('P','mm','A4');
            $pdf->AliasNbPages();
            $pdf->AddPage();
            $pdf->SetAutoPageBreak(false);

            $pdf->SetFont('Arial','',12);

            $pdf->SetXY('50','35');
            $pdf->MultiCell(100,8,$data['booking_no'],0,'L');
            $pdf->SetXY('50','43');
            $pdf->MultiCell(100,8,$data['customer_name'],0,'L');
            $pdf->SetXY('50','51');
            $pdf->MultiCell(100,8,$data['booked_for'],0,'L');
            $pdf->SetXY('50','59');
            $pdf->MultiCell(100,8,$data['from_address'],0,'L');
            $pdf->SetXY('50','83');
            $pdf->MultiCell(100,8,'',0,'L');
            $pdf->SetXY('50','91');
            $pdf->MultiCell(100,8,date('H:i', strtotime($data['reporting_date'])).' Hrs',0,'L');
            $pdf->SetXY('153','35');
            $pdf->MultiCell(50,8,date('d-m-Y', strtotime($data['booking_date'])),0,'L');
            $pdf->SetXY('153','50');
            $pdf->MultiCell(50,8,$data['customer_phone'],0,'L');
            $pdf->SetXY('153','80');
            $pdf->MultiCell(50,8,$data['driver_names'],0,'L');
            
            
            $pdf->Output();
        }
        else
        {
            echo 'Not a valid Trip';
        }
    }
    else
    {
        echo 'Not a valid Trip';
    }

?>